#
# spec file for package linuxrc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linuxrc
Version:        9.4
Release:        1.3
Summary:        SUSE Installation Program
License:        GPL-3.0+
Group:          System/Boot
Source:         %{name}-%{version}.tar.xz
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
BuildRequires:  libmediacheck-devel
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(hwinfo)
BuildRequires:  pkgconfig(libcurl)
%ifarch s390x
BuildRequires:  qclib-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SUSE installation program.

%prep
%setup -q

%build
  make

%install
  install -d -m 755 %{buildroot}%{_prefix}/{s,}bin
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_sbindir}/linuxrc
%{_bindir}/mkpsfu
%{_bindir}/edid-write
%{_datadir}/linuxrc
%doc COPYING *.html *.md *.txt *.png

%changelog
* Mon Feb 24 2025 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#335
- fix segfault when reading autoinst.xml from installer medium
  (bsc#1237524)
- 9.4
* Fri Mar 15 2024 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#330
- fix width of network device dialog (bsc#1221360)
- 9.3
* Wed Jan 10 2024 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#329
- write /etc/locale.conf and /etc/vconsole.conf (bsc#1218621)
- a new year
- 9.2
* Mon Aug 14 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#325
- use extended shell pattern matching for 'descr' and 'url' parameters
- don't crash if 'quiet' url parameter has no value
- add 'auto' query parameter to 'slp' url scheme (bsc#1213531)
- 9.1
* Mon Aug 14 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#324
- fix length of service type list field in SLP request (bsc#1213683)
* Wed Aug  9 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#229
- Fix syntax inconsistency filename::key
* Wed Jul  5 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#321
- adjust code to updated libhd API
- fix mediacheck test for valid app_id
- replace obsolete CURLOPT_PROGRESSFUNCTION
- 9.0
* Wed Feb  8 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#318
- really parse 'firmwaretype' key (bsc#1208042)
- 8.20
* Mon Jan 23 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#315
- fix buffer overflow in debug log (bsc#1207403)
- 8.19
* Mon Jan 23 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#312
- be careful switch_to_fb option takes care of textmode setting
  (bsc#1206460)
- 8.18
* Mon Jan 23 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#311
- support more general wicked firmware devices interface
  (jsc#PED-3118, jsc#PED-967)
- add usenbft boot config setting (mainly to aid testing)
- 8.17
* Wed Oct 26 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#307
- s390x: support PCI-attached networking device (jsc#PED-619)
- 8.16
* Fri Oct 14 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#304
- make s390x hypervisor setting configurable (for debugging)
- s390x: remove deprecated ESCON support (jsc#PED-595)
- 8.15
* Wed Oct  5 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#299
- add 'repo' URL scheme to linuxrc (jsc#SLE-22578, jsc#SLE-24584)
- ensure the device is passed to hd and disk Zypp schemes
  (jsc#SLE-22578, jsc#SLE-24584)
- add relative flag to url struct
- 8.14
* Thu Aug 18 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#302
- pass edid firmware option via sysfs if drm is compiled into the
  kernel (bsc#1202529)
- 8.13
* Wed May 25 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#297
- add EDID boot option to specify arbitrary display sizes (bsc#1199020)
- add edid-write tool to create EDID data
- 8.12
* Mon Apr 25 2022 jreidinger@suse.cz
- merge gh#openSUSE/linuxrc#295
- fix typo in HiperSocket (bsc#1198821)
- 8.11
* Wed Apr 13 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#293
- do not use zram if there's more than 64 GiB free memory (bsc#1197253)
- 8.10
* Wed Mar 16 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#286
- do not leave repository mounted when starting yast (bsc#1196061)
- improve url logging function
- handle umount errors better
- 8.9
* Wed Mar 16 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#285
- check also raid devices for install repo (bsc#1196061)
* Fri Jan 21 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#282
- enable display dialog for all architectures
- switch to tty1 if framebuffer device becomes available after
  udevd startup (bsc#1193910, jsc#SLE-18632)
- rework display menu
- sanitize open file descriptors when starting yast
- avoid error messages in running system
- 8.8
* Thu Jan 20 2022 shundhammer@suse.de
- merge gh#openSUSE/linuxrc#283
- Migration away from kbd-legacy (jsc#SLE-21107)
- 8.7
* Thu Nov 25 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#278
- allow option matching based on patterns (jsc#SLE-21308)
- 8.6
* Mon Sep 13 2021 mvidner@suse.cz
- merge gh#openSUSE/linuxrc#275
- s390x: ask for the VLAN id by default (jsc#SLE-18631)
- 8.05
* Mon Aug 30 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#273
- Add support for gz and zst compressed modules
* Mon Aug 30 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#235
- let curl figure out proper authentication method (jsc#PM-2272)
- let curl figure out proper authentication method (jsc#SLE-17026)
* Tue Aug 17 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#272
- fix handling of query parameters (bsc#1169492, bsc#1188186)
- 8.0.4
* Tue Jun 29 2021 lslezak@suse.cz
- merge gh#openSUSE/linuxrc#271
- Removed .travis.yml
- Removed Dockerfile
- Added GitHub Actions
- Switch from Travis to GitHub Actions
- 8.0.3
* Fri Jun 25 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#268
- read rules.xml if autoyast option indicates a rules-based setup
  (bsc#1187235)
- 8.0.2
* Thu Jun 10 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#264
- prevent memory corruption while iterating through network device
  list (bsc#1187014)
- 8.0.1
* Tue Apr 27 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#257
- rescue: leave linking modules to prep script
- 8.0.0
* Tue Apr 27 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#260
- don't ask for ssh password if ssh.password.enc is set (bsc#1185304)
- 7.0.35
* Mon Apr 26 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#259
- fix handling of modules.order in driver updates (bsc#1184550)
- 7.0.34
* Tue Apr 20 2021 lslezak@suse.cz
- merge gh#openSUSE/linuxrc#256
- Set copyright date to "1996-2021" (bsc#1184990)
- 7.0.33
* Mon Apr 12 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#253
- fix handling of modules in driver updates (bsc#1184550)
- 7.0.32
* Thu Apr  1 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#252
- default to using zram
- 7.0.31
* Thu Apr  1 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#251
- fix rescue image in usrmerge case (boo#1029961)
* Thu Mar 11 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#250
- add 'extend' option (bsc#1183368)
- 7.0.30
* Fri Mar  5 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#249
- Revert "default to using zram"
- 7.0.29
* Fri Mar  5 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#247
- fix buffer overflow when setting up loop device (bsc#1180161)
- adjust last remaining dubious strcpy use
- 7.0.28
* Wed Mar  3 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#246
- default to using zram
- document install.inf entry
- support using zram device as root file system (jsc#SLE-17630)
- 7.0.27
* Thu Jan 21 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#245
- Fix the wrong function name
- Replace splash with plymouth utils (boo#1149070)
- 7.0.26
* Thu Jan 21 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#244
- cleanup module code to avoid static string buffers (bsc#1180792)
- minor adjustments
* Tue Jan 19 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#241
- fix writing out of menu item array bounds (bsc#1180792)
- use best fitting module config entry
- update module loaded state properly
- ensure modules are actually loaded in every code path
- fix buffer overflow triggered by very long module descriptions
- 7.0.25
* Wed Jan 13 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#239
- fix detection of config file type (XML vs. plain text) bsc#1179936
- 7.0.24
* Thu Jan  7 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#237
- Since kernel 5.10, /sys/firmware/efi/vars has been dropped for
  non-x86 architectures, only /sys/firmware/efi/efivars remains So,
  check both to know if we are running on EFI boo#1180408
- 7.0.23
* Wed Dec  2 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#234
- do not offer --real-mode as kexec option in debug mode (bsc#1141875)
- 7.0.22
* Wed Oct 28 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#232
- fix linuxrc module option parsing
- 7.0.21
* Wed Oct 28 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#231
- add insmod.pre option to linuxrc (bsc#1174912)
- fix potential buffer overflow (correctly detected by gcc)
- don't use modprobe before modprobe config files are available
- 7.0.20
* Fri Oct 23 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#230
- add rfc2132 keyword to ifcfg option (jsc#SLE-15770, jsc#SLE-15488)
- 7.0.19
* Wed Jun 24 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#225
- s390: set rd.zdev=no-auto if auto-config has been turned off
  (bsc#1168036)
- 7.0.18
* Wed Jun  3 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#224
- replace $releasever in URLs, similar to libzypp (bsc#1171018)
- 7.0.17
* Thu May 14 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#223
- udevadm is in /usr/bin (bsc#1171587)
- 7.0.16
* Thu Apr 30 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#222
- take care of url query parameters (bsc#1169492)
- add autoyast.passurl option to linuxrc
- 7.0.15
* Thu Apr  9 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#221
- Use long-named options for better readability
- 7.0.14
* Thu Apr  9 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#218
- Update doc for hostname in different SLE versions
* Mon Apr  6 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#220
- make I/O device pre-configuration optional (bsc#1168036,
  jsc#SLE-7396)
- add check for pre-config data
- change displayed texts to 'auto-configuration'
- 7.0.13
* Thu Apr  2 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#219
- parse 'try' keyword in ifcfg option (jsc#SLE-8965, jsc#SLE-9791)
- move ifcfg option with 'try' to config.ifcfg.manual
- fix iterating through device list
- remove unused is_configured var
- remove trailing space
- fix travis setup
- 7.0.12
* Fri Mar  6 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#216
- fix rescue system setup (bsc#1160378)
- 7.0.11
* Tue Feb 18 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#213
- move plymouthd start after screen size detection (bsc#1163115)
- 7.0.10
* Wed Jan 29 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#210
- For bsc#1161701, Moved the logic to retrieve the platform name
  into a subroutine, and moved the invocation of it until after the
  call to lxrc_add_parts so that the squashfs files have been
  loopback mounted. Move the definition for the platform variable
  outside the ifdef. Replace a direct assignment to platform with a
  call to str_copy.
- Modified the startup message from "1996-2019" to "1996-2020"
- 7.0.9
* Fri Jan 24 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#209
- rework 'extend' command to log and report an error if linuxrc
  unexpectedly crashes (bsc#1158996)
- Append RPM_OPT_FLAGS to CFLAGS.
- 7.0.8
* Tue Jan  7 2020 Steffen Winterfeldt <snwint@suse.com>
- s390x needs qclib-devel to build
* Fri Dec 13 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#207
- Revert "Append RPM_OPT_FLAGS to CFLAGS." (bsc#1158996)
- 7.0.7
* Thu Dec 12 2019 Steffen Winterfeldt <snwint@suse.com>
- enhance shell login and installer to indicate IBM Z model
  (jsc#SLE-9424)
* Tue Dec 10 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#206
- For jsc#SLE-9474, Added logic to linuxrc.c and util.c to retrieve
  the name of the processor linuxrc is running on, for mainframe
  systems only.
- 7.0.6
* Thu Dec  5 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#204
- Append RPM_OPT_FLAGS to CFLAGS.
- Append EXTRA_CFLAGS to CFLAGS.
- 7.0.5
* Thu Dec  5 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#205
- Fix building with -fno-common.
- 7.0.4
* Thu Nov 28 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#200
- fix 'label' URL scheme parsing
- 7.0.3
* Thu Nov 28 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#199
- fix URL parsing (bsc#1156967)
- re-parse URLs after udevd has been started (bsc#1156967)
- 7.0.2
* Tue Nov 19 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#198
- ensure autoyast url is passed to yast when autoyast2 option is
  used (bsc#1157031)
- 7.0.1
* Wed Oct 23 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#196
- show debug info also on console device
- fix reading slp data
- show both autoyast and autoyast2 options on linuxrc info page
- support autoyast-style URL syntax
- read and parse autoyast file
- add needed entries to global config struct
- add new autoyast.parse key
- parse autoyast/autoyast2 options and add new autoyast url schemes
- activate new autoyast code
- fix parsing linuxrc options embedded in AutoYaST file (bsc#1145574)
- document autoyast option behavior
- small additions to autoyast handling doc
- support autoyast url schemes in linuxrc
- 7.0.0
* Tue Sep 24 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#195
- add support for compressed modules
- 6.0.15
* Thu Aug 15 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#193
- choose correct kernel image on aarch64 (bsc#1145625)
- 6.0.14
* Fri Jul 19 2019 lslezak@suse.cz
- merge gh#openSUSE/linuxrc#192
- Added support for a multi-repository installation medium
  (bsc#1141889)
- Travis CI: Use the Docker image from OBS
- Updated linuxrc_repo.md documentation
- 6.0.13
* Wed Jul 17 2019 shundhammer@suse.de
- merge gh#openSUSE/linuxrc#191
- Disable MD/RAID auto-assembly by default (bsc#1132688)
- 6.0.12
* Wed May 29 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#189
- iterate through device list in sorted order (bsc#1058039)
- 6.0.11
* Thu May  2 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#188
- add 'autoassembly' boot option to prevent MD/RAID autoassembly
  (bsc#1132688)
- simplify code
- 6.0.10
* Tue Mar 19 2019 snwint@suse.de
- merge gh#openSUSE/linuxrc#187
- fix network dialog workflow when VLAN is active (bsc#1124654)
- add more logging in test mode
- add a bit of explanation
- 6.0.9
* Mon Mar 18 2019 snwint@suse.de
- merge gh#openSUSE/linuxrc#186
- Fix usage of a out-of-scope vector constructor.
- 6.0.8
* Fri Mar  1 2019 snwint@suse.de
- merge gh#openSUSE/linuxrc#185
- adjust copyright year (bsc#1127464)
- 6.0.7
* Wed Feb 20 2019 schubi@suse.de
- merge gh#openSUSE/linuxrc#184
- Setting manual=0 in install.inf (bsc#1055667)
- 6.0.6
* Wed Nov 28 2018 shundhammer@suse.de
- merge gh#openSUSE/linuxrc#183
- Added parameter norepo (fate#325482)
- 6.0.5
* Tue Nov 27 2018 shundhammer@suse.de
- merge gh#openSUSE/linuxrc#182
- Added new BuildRequires to devel doc
- 6.0.4
* Wed Nov 14 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc#181
- setctsid is dead, long live setsid (bsc#1109290)
- 6.0.3
* Mon Sep 10 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc#180
- request s390 network device dialog only if really needed
  (bsc#1106466)
- 6.0.2
* Mon Jul 16 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#177
- add check_media() function (bsc#1000947, bsc#1036004)
- run check_media() _before_ locating the repository
- move mediacheck from expert settings to install menu
- fix docker setup
- 6.0.1
* Mon Jul  2 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#176
- rewrite digest_media_verify() to use new mediacheck lib
  (bsc#1000947)
- adjust Makefile
- fix minor linemode issue
- replace all remaining digest calculation in linuxrc with
  libmediacheck calls
- code adjustments
- 6.0.0
* Tue Jun 19 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#173
- address some gcc warnings
- 5.1.14
* Tue Jun 19 2018 opensuse-packaging@opensuse.org
- merge gh#openSUSE/linuxrc#170
- Eliminate chance of read() hang on size check
- 5.1.13
* Tue Jun 19 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#171
- don't impose limits on /proc/cmdline size (bsc#1092154)
* Wed May 30 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#169
- write s390 config values into /boot/zipl/active_devices.txt
  (bsc#1095062)
- 5.1.12
* Fri Apr 20 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc#168
- 5.1.11
* Wed Apr 18 2018 wfeldt@opensuse.org
- activate s390 devices when reading driver updates via nfs & cifs
  (bsc#1089937)
- 5.1.10
* Wed Apr 11 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#167
- kexec uses '-a' option now (bsc#1076839)
- 5.1.9
* Mon Mar 26 2018 opensuse-packaging@opensuse.org
- merge gh#openSUSE/linuxrc#166
- Fix for bsc#1085860 Change chzdev call to conform to documented
  syntax
- 5.1.8
* Thu Mar 15 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#165
- be carefull with 'kexec -s', it's not always available (bsc#1076839)
- 5.1.7
* Mon Feb 26 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#164
- fix code flow (bsc#1082468)
- 5.1.6
* Wed Feb  7 2018 opensuse-packaging@opensuse.org
- merge gh#openSUSE/linuxrc#156
- Don't include RPC headers if we don't need them. RPC is
  deprecated in glibc.
- 5.1.5
* Thu Jan 11 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#163
- extend 'kexec' option to allow updating kernel/initrd only if
  necessary (bsc#990374)
- 5.1.4
* Wed Jan 10 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#162
- allow kexec to work with secure boot (bsc#1075051)
- adjust copyright notice
- 5.1.3
* Thu Dec 14 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#161
- fix network interface handling (bnc#1068336)
- 5.1.2
* Tue Dec  5 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#160
- read digests also from CHECKSUMS file
- adjust date
- 5.1.1
* Mon Nov 27 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#159
- try harder to find a suitable network interface (bsc#1068336)
- 5.1.0
* Fri Nov 17 2017 jslaby@suse.cz
- merge gh#openSUSE/linuxrc#158
- squashfs.ko might depend on zstd_decompress
- 5.0.116
* Thu Nov  9 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#155
- update broken module config even if list is empty
- 5.0.115
* Mon Nov  6 2017 mpost@suse.com
- merge gh#openSUSE/linuxrc#153
- Updates for fate#322567 Changed *_configure calls to chzdev calls
  with the --no-root-update option so that we won't run into
  problems in the initrd environment.
- 5.0.114
* Tue Oct 24 2017 snwint@suse.de
- merge gh#openSUSE/linuxrc#152
- Revert "Fate322567"
- 5.0.113
* Mon Oct 23 2017 lslezak@suse.cz
- merge gh#openSUSE/linuxrc#151
- Support "media_upgrade=1" boot option, pass it to YaST
  (fate#323163)
- Update git2log script
- Initial Travis support, added a simple smoke test
- Fix a GCC warning
- 5.0.112
* Fri Oct 20 2017 mpost@suse.com
- merge gh#openSUSE/linuxrc#150
- Changed zfcp_host_configure, zfcp_disk_configure, ctc_configure
  and qeth_configure calls to the new chzdev command, per
  fate#322567.
- Corrected two syntax errors in the chzdev command for qeth
  devices. Signed off: Mark Post (mpost@suse.com)
- 5.0.111
* Fri Oct  6 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#149
- fix segfault when using an invalid url scheme (bsc#1061824)
- show error message when reading an 'info' or 'autoyast2' url fails
- 5.0.110
* Tue Sep 26 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#148
- clarify SetHostname option usage
- 5.0.109
* Mon Sep 25 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#147
- add SetHostnameUsed entry to install.inf (bsc#1054933)
- 5.0.108
* Wed Sep 20 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#146
- pass SetHostname setting to install.inf (bsc#1054933)
- 5.0.107
* Tue Sep 12 2017 bwiedemann@suse.de
- merge gh#openSUSE/linuxrc#141
- sort input files (boo#1041090)
- 5.0.106
* Wed Aug 30 2017 gsouzadossantos@suse.com
- merge gh#openSUSE/linuxrc#145
- README.BETA accessible during installation
- 5.0.105
* Fri Jun 16 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#143
- set kernel and initrd to use with kexec option (bsc#1044683)
- 5.0.104
* Mon May 22 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#140
- enforce linuxrc's maximum screen dimensions properly
  (bsc#1027354)
- increase maximun screen size to cover at least 4k displays
- 5.0.103
* Fri Apr 28 2017 wfeldt@opensuse.org
- read license.tar.gz from repomd repositories (fate#322286)
- merge gh#openSUSE/linuxrc#139
- some small fixes
- 5.0.102
* Tue Apr 25 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#138
- enhance linuxrc documentation
- 5.0.101
* Thu Apr 13 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc#137
- fix segfault when loading installer (bsc#1033441)
- 5.0.100
* Fri Feb 10 2017 snwint@suse.com
- avoid segfault when image files are missing
- match only file name, not path when checking digests
- 5.0.99
* Thu Jan 19 2017 snwint@suse.com
- allow reading of config files from instsys location, part 2
- 5.0.98
* Thu Jan 19 2017 snwint@suse.de
- include all doc files in package
* Wed Jan 18 2017 snwint@suse.com
- avoid passing uninitialized value
- make md parser happy
- extend repo documentation
- allow reading of config files from instsys location (/boot/ARCH/) (fate#322283)
- 5.0.97
* Fri Jan 13 2017 snwint@suse.com
- document linuxrc's repo handling
- have linuxrc accept plain repomd repo as install source (fate#322286)
- 5.0.96
* Wed Dec 21 2016 snwint@suse.com
- cleanup include list in install.c
- add linuxrc.core option to enable core dumps in linuxrc (to debug bsc#1010505)
- 5.0.95
* Wed Dec 21 2016 snwint@suse.com
- Marked comments for Doxygen inclusion
- Document code
- Tuned Doxygen.
- Generated a config for Doxygen.
- 5.0.94
* Fri Dec 16 2016 snwint@suse.com
- Write DHCLIENT_SET_HOSTNAME globally (bsc#1013605)
- Derive filename_tmp instead of passing it as an argument.
- Factored out update_sysconfig
- 5.0.93
* Wed Nov 30 2016 snwint@suse.com
- more verbose shared library matching description
- Described symptoms of missing shared libraries
- shared libraries mentioned in README
- 5.0.92
* Mon Nov 28 2016 snwint@suse.com
- added dependencies to README
- 5.0.91
* Thu Nov 24 2016 snwint@suse.com
- keep rsyslogd running
- 5.0.90
* Thu Nov 24 2016 snwint@suse.com
- Implemented Loghost functionality
- 5.0.89
* Fri Nov 18 2016 snwint@suse.com
- Clean up: removed "regcert", "smturl" and "smtcert" options. (bsc#943966)
- 5.0.88
* Fri Oct 14 2016 snwint@suse.com
- parse netwait option earlier (bsc#995304)
- 5.0.87
* Tue Oct 11 2016 dwaas@suse.com
- ran spec-cleaner on the .spec file
* Fri Sep 30 2016 snwint@suse.com
- don't configure ibft devices in linuxrc (bsc#997598)
- 5.0.86
* Tue Sep 13 2016 snwint@suse.com
- Don't enforce keymap conversion to unicode
- Unify keymaps with YaST after recent changes in yast2-country
- 5.0.85
* Wed Jul 13 2016 snwint@suse.com
- fix reading instsys id (related to bsc#974601)
- 5.0.84
* Wed Jun 22 2016 snwint@suse.com
- document XVideo option (bsc#974821)
- 5.0.83
* Tue Jun 14 2016 snwint@suse.com
- restore standard IO file descriptors when returning from external shell (bsc#983014)
- 5.0.82
* Wed May 18 2016 snwint@suse.com
- activate AutoUpgrade if Upgrade + AutoYaST are set (bsc#978252)
- 5.0.81
* Wed May 18 2016 snwint@suse.com
- Removed unnecessary definition for win
- Converted multiple dialog calls to one
- Added definition for win variable used by dia_info
- Updated the copyright information that is displayed on the console.
- 5.0.80
* Tue May 17 2016 snwint@suse.com
- ensure the correct interfaces are (de-)activated when using vlan tagging (bsc#971166)
- 5.0.79
* Tue May 17 2016 snwint@suse.com
- sanitize hostname handling (fate#319639)
- 5.0.78
* Mon Apr 25 2016 snwint@suse.com
- remove O_TMPFILE workaround needed for bsc#964709 and bsc#965068
- 5.0.77
* Thu Mar 31 2016 snwint@suse.com
- Do not limit number of inodes in tmpfs overlay (bsc#951015)
- 5.0.76
* Mon Mar 14 2016 snwint@suse.com
- fix network url handling (fate#318899)
- 5.0.75
* Mon Mar 14 2016 snwint@suse.com
- Made the following changes for fate#320112
- Removed all the code that asks for an OSA Portname
- If a Portname is found in the parameters, output a message saying it's deprecated
- Updated linuxrc.html to indicate that Portname is deprecated
- Updated linuxrc.html to also indicate that OsaMedium was deprecated, since people are still specifying it
- 5.0.74
* Mon Mar 14 2016 snwint@suse.com
- Bring back Insecure documentation
- Simplify calculation of Insecure value in /etc/install.inf
- Writes Insecure parameter in install.inf
- Uses a string to store self.self_update_url
- Add SelfUpdate parameter (fate#319716)
- 5.0.73
* Thu Feb 18 2016 snwint@suse.com
- fix extension handling
- improve user-defined url doc (fate#318899)
- handle empty path component in url
- user-defined urls: add linuxrc menus for network urls
- user-defined urls: add linuxrc menus for local urls
- add doc for user-defined urls
- implement user-defined mountable url schemes
- consolidate handling of url properties
- introduce externally handled URL schemes
- 5.0.72
* Fri Feb 12 2016 snwint@suse.com
- Workaround O_TMPFILE definition on SLE12 / aarch64 (bsc#965068)
- 5.0.71
* Fri Feb  5 2016 snwint@suse.com
- allow commas in nameserver option for compatibility (bsc#965293)
- 5.0.70
* Wed Feb  3 2016 snwint@suse.com
- workaround: include O_DIRECTORY so open(, O_TMPFILE) works on ppc64 (bsc#964709)
- 5.0.69
* Thu Jan 28 2016 snwint@suse.com
- ensure we activate the correct interface when using vlan
- fix routing config when using vlan (bsc#961624)
- 5.0.68
* Wed Jan 27 2016 snwint@suse.com
- Modified file.c to only accept valid types of OsaInterface (bsc#937437)
- 5.0.67
* Tue Jan 26 2016 snwint@suse.com
- documented linuxrc/yast interface
- 5.0.66
* Tue Jan 19 2016 snwint@suse.com
- squashfs.ko might depend on lz4_decompress (bsc#962493)
- 5.0.65
* Fri Jan 15 2016 snwint@suse.com
- Removed the prompt for portname when configuring LCS interfaces (bsc#956603)
- 5.0.64
* Mon Nov 23 2015 snwint@suse.com
- adjust buffer size to sane value
- document new logging behavior
- fix typo
- remove old stderr handling code
- log also function names
- rewrite linuxrc logging function
- 5.0.63
* Mon Nov  9 2015 snwint@suse.com
- remove obsolete code
- fix wifi support in linuxrc (bsc#949938)
- 5.0.62
* Wed Oct 21 2015 snwint@suse.com
- skip also hostname check when sslcerts option is 0 (bsc#951001)
- 5.0.61
* Thu Oct  8 2015 snwint@suse.com
- ensure ifcfg options don't get lost (bsc#948774)
- 5.0.60
* Fri Oct  2 2015 snwint@suse.com
- put udev modprobe rules file into /run so it doesn't get copied into the
  final system (bsc#947807)
- 5.0.59
* Tue Sep 29 2015 snwint@suse.com
- Add documentation about how the project is sent to the distribution
- 5.0.58
* Wed Sep 16 2015 snwint@suse.com
- get rid of 'no job control' bash messages (bsc#945607)
- 5.0.57
* Tue Sep 15 2015 snwint@suse.com
- Added hwaddr to netdevice identifier (bsc#944347)
- 5.0.56
* Mon Sep 14 2015 snwint@suse.com
- further simplify module param code
- fix typo
- fix segfault when asking for module params (bsc#945608)
- 5.0.55
* Mon Sep  7 2015 snwint@suse.com
- s390x: keep ssh active when selecting vnc (bsc#943744)
- 5.0.54
* Mon Sep  7 2015 snwint@suse.com
- fix typo
- s390x: in install type dialog, make vnc & ssh mutually exclusive (bsc#943744)
- 5.0.53
* Wed Sep  2 2015 snwint@suse.com
- s390x: treat virtio network device as 'normal' network device (bsc#943743)
- 5.0.52
* Fri Aug 14 2015 snwint@suse.com
- s390x: handle kvm virtio devices (bsc#941122)
- s390x: in kvm, don't ask for net device type
- 5.0.51
* Mon Aug 10 2015 snwint@suse.com
- adjust git log parser
- with netsetup=dhcp,all, do network setup at once, else we'll never get it done (bsc#932692)
- 5.0.49
* Tue Jul 28 2015 snwint@suse.com
- add 'sethostname' option to have wicked set the hostname (bsc#934118)
- 5.0.48
* Wed Jul 22 2015 snwint@suse.com
- change company name to SUSE LLC (bsc#938747, fate#319294)
- copy modprobe disabling udev rule to the correct place (bsc#938774)
- 5.0.47
* Thu Jun 25 2015 snwint@suse.com
- avoid any interactive dialogs when checking the digest of files during
  an 'extend' command (bsc#936068)
- 5.0.46
* Wed Jun 24 2015 snwint@suse.com
- re-arrange code a bit and fix typo
- changed 'media not found' message into a dialog letting the user select
  the URL to retry (bsc#923918)
- 5.0.45
* Wed Jun  3 2015 snwint@suse.com
- some minor corrections
- added comments & prototypes
- don't use --real-mode kexec option when booted via uefi
- reimplement 'boot installed system' option (bsc#906990)
- menu is directly reachable via systemboot=1 boot option
- 5.0.44
* Thu May 28 2015 snwint@suse.com
- Update README.md
- 5.0.43
* Tue May 26 2015 snwint@suse.de
- fixed encoding of linuxrc.changes
* Mon May 25 2015 snwint@suse.com
- do not display an error message after aborting YaST (bsc#614829)
- 5.0.42
* Fri May 15 2015 snwint@suse.com
- ensure driver update medium is unmounted before applying it (bsc#892932)
- 5.0.41
* Mon May 11 2015 snwint@suse.com
- really setup next network interface when probing for a working one (bsc#928965)
- 5.0.40
* Fri May  8 2015 snwint@suse.com
- really setup next network interface when probing for a working one (bsc#928965)
- Documented testing with mksusecd.
- removed an obsolete file
- Fixed `make TAGS`.
- 5.0.39
* Fri Apr 24 2015 snwint@suse.com
- re-enable utf8 mode when linemode is switched off (bnc#921112)
- 5.0.37
* Thu Apr 23 2015 snwint@suse.com
- Add note about passing cli options
- add paragraph about logging
- add a debugging hint into readme
- Fix BOOTIF on PowerNV
- 5.0.36
* Thu Apr  2 2015 snwint@suse.com
- match mac addresses case-insensitive (bnc#924872)
- 5.0.35
* Wed Mar 18 2015 snwint@suse.com
- update copyright string
- verify also rpm signatures
- track also improper driver updates (bnc#901598)
- 5.0.34
* Mon Mar  9 2015 snwint@suse.com
- don't set a default keymap too eagerly (bnc#857194)
- 5.0.33
* Thu Mar  5 2015 snwint@suse.com
- quote filenames
- warn if driver update didn't contain usable data
- show error message for failed driver update loads (bnc#901598)
- allow files to be signed directly
- 5.0.32
* Thu Feb  5 2015 snwint@suse.com
- update git2log script
- keep default nanny setting unless explicitly changed
- 5.0.31
* Wed Jan 14 2015 snwint@suse.com
- activate newly added interfaces (bnc#906817)
- improve git2log to work in sub-branches
- gpg 2.1.1 became stricter with the usage of --verify:
  program knows about it; either give both filenames on the command
  line or  use  '-' to specify STDIN.".
- 5.0.30
* Mon Dec  1 2014 snwint@suse.com
- use correct mount command location
- 5.0.29
* Wed Nov 26 2014 snwint_jenkins@suse.com
- set explicit route to gateway (if outside subnet) (bnc#906771)
- 5.0.28
* Mon Oct 13 2014 jenkins@suse.com
- update git2log script
- 5.0.27
* Mon Sep 29 2014 snwint@suse.de
- keep wpa_supplicant running (bnc#898977)
- 5.0.26
* Mon Sep 29 2014 snwint@suse.de
- handle ifcfg options also when using dhcp (bnc#898995)
- 5.0.25
* Mon Sep 29 2014 snwint@suse.de
- improve last commit a bit
- Correct check for value of config.hwp.layer2
- Add check for virtual NICs to not write LLADDR to ifcfg.
- 5.0.24
* Fri Sep 26 2014 snwint@suse.de
- s390x: revert hypervisor check (bnc#887238)
- 5.0.23
* Wed Sep 24 2014 snwint@suse.de
- s390x: write LLADDR only on LPAR
- s390x: store MAC address for layer2 devices in ifcfg (bnc#887238)
- add 'archive' target to Makefile
- use improved git2log script
- 5.0.22
* Thu Sep 18 2014 snwint@suse.de
- add sshkey option to support ssh pubkey authentication (bnc#230781, bnc#421340)
- 5.0.21
* Thu Sep 18 2014 snwint@suse.de
- make ifcfg=dhcp{4,6} work as expected
- 5.0.20
* Wed Sep 17 2014 snwint@suse.de
- don't check autoinst.xml digest (bnc#895670)
- 5.0.19
* Mon Sep 15 2014 snwint@suse.de
- moved edd.ko loading into udev start script (bnc#871617)
- 5.0.18
* Fri Sep 12 2014 snwint@suse.de
- finalize ifcfg option parsing
- 5.0.17
* Thu Sep 11 2014 snwint@suse.de
- fix missing parameter to dia_input2()
- increased memory thrreshold for loading inst-sys to RAM (bnc#893982)
- look for autoinst.xml and keep the name (don't use autoyast.xml internally; fate#316530)
- 5.0.16
* Mon Aug 18 2014 snwint@suse.de
- s390x: don't resolve name of x11 server
- fix nfs & cifs mounts (bnc#890172)
- fix dialog window creation
- 5.0.15
* Fri Aug 15 2014 snwint@suse.de
- add vlan dialog
- 5.0.14
* Thu Aug 14 2014 snwint@suse.de
- add 'nanny' option to control wickedd-nanny; disable by default
- 5.0.13
* Mon Aug 11 2014 snwint@suse.de
- netsetup=dhcp didn't work (bnc#890874, bnc#889887)
- reactivate netsetup=dhcp,all (bnc#891080)
- 5.0.12
* Fri Aug  8 2014 snwint@suse.de
- set WAIT_FOR_INTERFACES (bnc#890643)
- allow global network config options that should go to
  /etc/sysconfig/network/config to be set in ifcfg option
- 5.0.11
* Wed Aug  6 2014 snwint@suse.de
- add new 'sshd' option to start sshd during install but don't trigger a ssh installation
- apply netwait also to static setup
- add wicked.timeout as alias to dhcp.timeout
- extend debugwait syntax
- free screen memory only after we allocated it
- 5.0.10
* Mon Aug  4 2014 snwint@suse.de
- explicitly set CURLOPT_IPRESOLVE to debug/workaround resolve issues (bnc#889981)
- unify password handling and add password.enc option to pass encrypted passwords
- 5.0.9
* Thu Jul 31 2014 snwint@suse.de
- fix point-to-point interface handling (bnc#889580)
- 5.0.8
* Wed Jul 30 2014 snwint@suse.de
- pass along hostname if explicitly set (bnc#889374)
- 5.0.7
* Mon Jul 28 2014 snwint@suse.de
- add missing break
- more dead code cleanup
- fix evil nameserver config bug
- make debugwait option more useful
- make log file script behave
- 5.0.6
* Fri Jul 25 2014 snwint@suse.de
- remove more parts of old network code
- remove obsolete config.netdevice
- 5.0.5
* Thu Jul 24 2014 snwint@suse.de
- ui directly uses new network code, remove obsolete code
- remove obsolete yast2_color var
- remove sax2 option
- don't write network info into /etc/install.inf
- remove obsolete pcmcia code
- 5.0.4
* Wed Jul 23 2014 snwint@suse.de
- fix network setup
- 5.0.3
* Tue Jul 22 2014 snwint@suse.de
- use wicked to setup static network config
- support ptp setups and accept global default netmask value for all ips
- put copy of old-style config into new config
- better internal logging of network config entries
- 5.0.2
* Fri Jul 18 2014 snwint@suse.de
- continue network code reworking:
- fix network re-config (bnc#887841)
- move network setup into separate menu item
- move various net_activate_s390_devs() calls into a single place
- unify network config code
- remove obsolete code
- 5.0.1
* Thu Jul 17 2014 snwint@suse.de
- fix proxy handling in linuxrc
- 5.0.0
* Wed Jul 16 2014 snwint@suse.de
- avoid server name resolution
- don't resolve proxy name
- enable ipv6 by default
- clean up cifs and nfs code
- fix segfault and accept ipv6 netmasks (bnc 887501)
- 4.2.45
* Thu Jul 10 2014 snwint@suse.de
- added 'defaultrepo' option to specify the repos to try if there's
  no 'install' option given
- rewrote ibft parser
- boot options: make plymouth.enable an alias to plymouth (bnc#886136)
- 4.2.44
* Tue Jul  8 2014 snwint@suse.de
- better efford at determining dhcp config state (bnc#885907)
- fix iscsi detection (bnc#886053)
- ifcfg: prefer explicitly named interfaces over wildcard patterns
- 4.2.43
* Mon Jul  7 2014 snwint@suse.de
- fix last patch
- 4.2.42
* Mon Jul  7 2014 snwint@suse.de
- code cleanup: better wicked integration, removed obsolete code
- 4.2.41
* Fri Jul  4 2014 snwint@suse.de
- Revert to previous handling of config.hwp.layer2 variable.
- read linuxrc config also from /etc/linuxrc.d
- 4.2.40
* Thu Jul  3 2014 snwint@suse.de
- log linuxrc version & date
- more logging for fcoe and efi detection
- reworked ifcfg option to support vlan and setting arbirary config file entries
- 4.2.39
* Wed Jul  2 2014 snwint@suse.de
- check for a selection of 0 when returning from dia_list to choose the network
  device (bnc#885231)
- 4.2.38
* Tue Jul  1 2014 snwint@suse.de
- move udev start script to /scripts dir
- added new 'ifcfg' option to configure network
- 4.2.37
* Wed Jun 25 2014 snwint@suse.de
- tag ibft interface as persistent
- ignore ibft data if we can't find a matching interface (bnc#883712, bnc#874795)
- 4.2.36
* Tue Jun 24 2014 snwint@suse.de
- keep network config for rescue system and pass ssh options (bnc#882844)
- 4.2.35
* Mon Jun 23 2014 snwint@suse.de
- add separate upgrade option to linuxrc
- stick to ascii language names (bnc#881440)
- 4.2.34
* Tue Jun 17 2014 snwint@suse.de
- don't kill haveged (bnc#875848)
- 4.2.33
* Fri Jun  6 2014 snwint@suse.de
- removed linuxrc-misc-fixes.patch
- integrated latest changes
- 4.2.32
* Thu Jun  5 2014 mpost@suse.com
- Added linuxrc-misc-fixes.patch (bnc#881342)
  - Add back in check for "ctc"-named interfaces in check_ptp.
  - Remove the sleep(3) workaround in net.c
  - Add a call to udevadm settle in net.c
* Thu Jun  5 2014 snwint@suse.de
- s390x: wait 3s after loading qeth module
- 4.2.31
* Fri May 30 2014 snwint@suse.de
- s390: choose thermonuclear option to deal with whitespace issues
  once and for all (bnc#706605)
- s390: allow empty parameters for portname, portno and
  osahwaddr (bnc#720765)
- 4.2.30
* Thu May 22 2014 snwint@suse.de
- turn default ipv6 off again (bnc#879127)
- 4.2.29
* Wed May 21 2014 snwint@suse.de
- rework dhcp handling, ipv6 should be fine now (bnc#868031)
- potential fix for memory corruption (bnc#878357)
- actually parse autoyast2 file
- redirect all wicked output to stderr
- 4.2.28
* Mon May 19 2014 snwint@suse.de
- Missed one instance of config.hwp.layer2 that needed to be updated.
- 4.2.27
* Fri May 16 2014 snwint@suse.de
- pass debug option to helper scripts
- 4.2.26
* Thu May 15 2014 snwint@suse.de
- suppress edd failed message
- 4.2.25
* Thu May 15 2014 snwint@suse.de
- Revert changes to use IBM-supplied chzdev command instead of our *_configure commands.
- Move check for config.hwp.layer2 to the correct line.
- Fix for bnc#855696
- Only ask if DHCP is to be used for Layer 2 interfaces.
- Fix the insane handling of the layer2 parameter. Just use the 0 or 1 that the kernel understands.
- 4.2.24
* Thu May  8 2014 snwint@suse.de
- don't load any fonts anymore (bnc#875592)
- 4.2.23
* Thu May  8 2014 snwint@suse.de
- move fcoe & iscsi detection to a place where all required modules
  have been loaded (bnc#874522)
- 4.2.22
* Fri May  2 2014 snwint@suse.de
- iscsi detection also looks for iscsi_boot* (bnc#876104)
- 4.2.21
* Fri Apr 25 2014 snwint@suse.de
- signature checking of compressed driver updates now works (bnc#836366)
- support unpacking of tar archives
- support xz compression
- reworked filesystem type detection, added tar
- apply timeout option to wicked
- 4.2.20
* Tue Apr 22 2014 snwint@suse.de
- Fix for bnc#843438.
- Add KVM detection on s390x.
- If running under KVM on s390x, only offer a virtio network device.
- remove linuxrc-revert-chzdev.patch
* Mon Apr 14 2014 mpost@suse.com
- Temporarily revert the changes made to use chzdev until the code
  is more mature. linuxrc-revert-chzdev.patch.
* Fri Apr 11 2014 snwint@suse.de
- simplify s390x hypervisor detection code
- passing ssl_verify option to yast (bnc#807799)
- don't load edd.ko on efi systems (bnc#837747)
- fix nextmedia handling (bnc#813141)
- get ibft parsing code from sle11 branch
- try harder to resolve mac addresses to interface names (bnc#806593)
* Fri Apr 11 2014 snwint@suse.de
- add withipoib option to trigger loading ip over infiniband modules (bnc#865852)
* Tue Apr  8 2014 snwint@suse.de
- Introduce detection of z/VM or LPAR hypervisors.
- Moved the check for config.net.ptp to the correct spot in the logic.
- If running on z/VM always try to modprobe the netiucv kernel module
- Don't prompt for DHCP if using a pont-to-point network interface. (bnc#865097)
* Wed Mar 26 2014 snwint@suse.de
- fix gcc aliasing warning
- ctc0 is now slccw0.0.????
- don't do arping on ptp interfaces
- remove gobal net_is_ptp_im var and put ptp checks into a single function
* Thu Mar 20 2014 snwint@suse.de
- don't kill too many processes (bnc#869113)
- ensure echo is on (bnc#865956)
* Mon Mar 10 2014 snwint@suse.de
- add 'autoyast2' option in preparation to fate#316530
- s390: make sure network device has been activated before
  driver update (bnc#616341, bnc#862673)
* Fri Mar  7 2014 snwint@suse.de
- fix cifs mount arguments (bnc#865267)
* Fri Feb 28 2014 snwint@suse.de
- calculate prefix len from netmask (bnc#865199)
* Thu Feb 27 2014 snwint@suse.de
- fix language setting (bnc#865370)
* Tue Feb 18 2014 snwint@suse.de
- update copyright string
- write complete static network config for wicked
- make 'textmode' equivalent to textmod=1 (bnc#864316)
* Mon Feb 17 2014 snwint@suse.de
- wicked: write static ifcfg files
* Mon Feb 17 2014 snwint@suse.de
- make wicked (for dhcp) the default
- Revert "Fix for bnc#571990. Don't prompt for DHCP unless a Layer 2 NIC has been selected."
- Fix wasn't complete.
- This reverts commit 06f06163a49be544842f025df941966c823eed94.
- Fix for bnc#571990. Don't prompt for DHCP unless a Layer 2 NIC has been selected.
* Wed Feb  5 2014 snwint@suse.de
- recognize s390 point-to-point devices
  (this is a merge of commit 44607df402171569048c79df95a17e8b28aeb0ab)
* Mon Feb  3 2014 snwint@suse.de
- reduce dependency on arch-specific defines
- add basic wicked support (dhcpv4)
- don't run scripts in test mode
* Fri Dec 20 2013 snwint@suse.de
- make linemode default on s390, swap linemode 1 & 2
* Thu Dec 19 2013 snwint@suse.de
- allow linuxrc to be updated (and restarted)
- Initial changes to use IBM-supplied chzdev command instead of our
  * _configure commands (fate#316139)
* Thu Dec  5 2013 snwint@suse.de
- rework linemode (fate#313156)
- 4.2.2
* Wed Dec  4 2013 snwint@suse.de
- add 'back' entry in linemode (fate#313155)
- use readline in linemode
- allow media checks of any device (bnc#848020)
- 4.2.1
* Fri Nov 29 2013 snwint@suse.de
- add back language menu
* Mon Nov 18 2013 snwint@suse.de
- s390: handle empty portname correctly (bnc#760042)
- remove i18n infrastructure and translations
- 4.2.0
* Mon Feb 25 2013 snwint@suse.de
- nfs: use mount(8) and mount.nfs(8) to mount nfs exports (bnc#799496)
- if no install url given, try dvds, then hds
* Wed Jan 16 2013 snwint@suse.de
- drop /etc/nothing
* Tue Jan 15 2013 snwint@suse.de
- support https
* Mon Jan 14 2013 snwint@suse.de
- fix segfault reading duds (bnc#798110)
* Thu Dec 13 2012 snwint@suse.de
- get built-in 'extend' command back
* Mon Nov 26 2012 snwint@suse.de
- make sure WORDS_BIGENDIAN is defined correctly where needed (bnc#755861)
- fix console setup after plymouth
- turn off plymouth at first opportunity
- add plymouth config option
- uli: remove lots of disabled code
* Thu Aug 16 2012 snwint@suse.de
- add *.conf to modprobe config files to make them work (bnc#775800)
* Wed Jul 11 2012 snwint@suse.de
- add plymouth config option
* Wed May 30 2012 snwint@suse.de
- give tmpfs a finite size
* Tue Apr 17 2012 snwint@suse.de
- adjust rescue system setup
- move prepare_rescue script
* Mon Apr 16 2012 snwint@suse.de
- add api to run scripts at various places
* Mon Apr 16 2012 snwint@suse.de
- mount /dev/pts after devtmpfs (bnc#755845)
* Mon Mar 26 2012 snwint@suse.de
- fight compiler warnings
- mount devtmpfs to /dev
- scan whole block dev for filesystem also when there are partitions (bnc#753574)
* Wed Jan 25 2012 snwint@suse.de
- changed license to gpl3
- enable sha1 & sha256 as default
- added sha224 & sha384
- rename checkmd5.c -> checkmedia.c
* Tue Jan 24 2012 snwint@suse.de
- support md5, sha1, sha256, sha512 digests
* Tue Nov  8 2011 snwint@suse.de
- add option to start an early debug shell
- detect fcoe disks (bnc#725134)
* Tue Oct 18 2011 mhrusecky@suse.cz
- fixing build on arm - same keyboard options as i386
* Tue Oct 18 2011 snwint@suse.de
- s390: fix type mixup in LCS activation code (bnc#689374)
- preserve default value when chopping whitespace (bnc#706605)
* Tue Oct 18 2011 snwint@suse.de
- detect btrfs (bnc#713393)
- use 64 bit memory sizes everywhere (bnc#699886)
- set ipv6 gateway (bnc#706967)
- introduce minimal terminal size to work with strange terminals (bnc#668667)
* Thu Oct 13 2011 snwint@suse.de
- Handle symlinks in /sys/block directory.
- print segfault backtrace even without trace option
* Tue Aug  9 2011 snwint@suse.de
- print backtrace when we get a segfault
* Thu Feb 24 2011 snwint@suse.de
- fix media check to work with isohybrid images (bnc#674609)
* Thu Feb 17 2011 snwint@suse.de
- don't mess with mtab (bnc#668149)
* Thu Jan 20 2011 snwint@suse.de
- allow for user defined options (those options are ignored by
  linuxrc but added unchanged to /etc/install.inf)
- brokenmodules accepts '+' and '-' now
- add status info also to log
* Mon Dec  6 2010 snwint@suse.de
- don't check keyboard status too often to speed up media check
* Fri Dec  3 2010 snwint@suse.de
- fix media check abort message (bnc#657065)
* Thu Oct 28 2010 snwint@suse.de
- increase TTL for SLP (bnc#649854)
* Wed Oct 20 2010 snwint@suse.de
- really accept static ipv6 addresses (bnc#633519)
* Tue Sep 28 2010 snwint@suse.de
- remove 'no DUD found' message (bnc#601770)
* Fri Sep 10 2010 snwint@suse.de
- fix scanning for driver updates
* Thu Sep  2 2010 snwint@suse.de
- fix bug introduced with 3.5.0 (network install works again)
- fix perl warning
* Tue Aug 24 2010 snwint@suse.de
- implemented 'disk' scheme to mean 'all local devices' as documented (bnc#596458)
- added 'quiet' option to url syntax
* Fri Aug 20 2010 snwint@suse.de
- added all=1 tag to url to keep searching on all devices (bnc#596456)
- extra menu can be reached from input line via 'ESC ESC' or 'ESC x'
* Fri Jun 25 2010 snwint@suse.de
- updated translations
* Wed Apr 28 2010 snwint@suse.de
- dud option accepts normal rpms
- make backtrace logs optional (bnc#597797)
- always set dhcp timeout (bnc#594606)
* Tue Mar 30 2010 snwint@suse.de
- add 'type' option to url syntax (bnc#590811)
* Fri Feb 26 2010 snwint@suse.de
- added 'namescheme' option to linuxrc to select alternative device name
  schemes (by-id, by-path, by-label); default is 'by-id' (bnc#582717)
- fix make deps for VERSION
- fix make deps for changelog
* Wed Feb 24 2010 snwint@suse.de
- add 'devices' param for zypp (bnc#570541)
- added git2log
- added .gitignore
- create VERSION and changelog from git repo
- fix Makefile
* Mon Feb 22 2010 snwint@suse.de
- use ctc_configure for LCS devices (bnc#550232)
- don't pass uninitialized pointers to strprintf() (bnc#494301)
- added sle11 patches (v3.3.46 - v3.3.53, inclusive):
  * translations updated
  * keep /lib/firmware from initrd in rescue system (bnc#576072)
  * s390: don't use net_config() in auto mode to avoid fallback to
    manual (bnc#474457)
  * s390: set defaults for CCW write and data channels
  * s390: allow installation via console (bnc#476373)
  * s390: detect PTP devices in autoinstall case (bnc#555236)
  * s390: work around bugged Operating System Messages console
    that sends empty lines as " \r" instead of "\r" (forward-ported
    from SLES10 SP3, bnc#517763, bnc#484358)
  * s390: fix check for existing network config (bnc#562101)
  * added util_error_trace() to facilitate debugging
  * do backtraces when net_activate4() fails
  * s390: re-enable layer 2 for HSI (bnc#559174)
* Tue Oct  6 2009 snwint@suse.de
- pass keyboard mapping to yast (bnc#534856)
* Thu Sep 24 2009 snwint@suse.de
- ensure 'extend' returns correct error code (bnc#510999)
* Wed Sep  9 2009 snwint@suse.de
- s390: activate network interface before loading info file
- no blocking popup for DHCP error message (bnc#534078)
- starting new network setup code
* Wed Jul 29 2009 snwint@suse.de
- handle zypp iso url scheme (bnc#507474)
* Thu Jun 25 2009 snwint@suse.de
- removed last trace of real-root-dev (bnc#192405)
- pass on DHCPTimeout to install.inf (bnc#396824)
* Fri Jun 19 2009 snwint@suse.de
- added udev.rule option to write udev rules (fate#305867)
* Tue Jun  9 2009 snwint@suse.de
- added 'netsetup=now' to force immediate network configuration
- ext4dev -> ext4
* Thu May 14 2009 snwint@suse.de
- s390: falling back to manual mode in network setup has nasty side
  effects and is not really necessary to begin with; do away with it
  (bnc#471452)
- s390: merge OSAHWAddr feature from SLES10 (bnc#479481)
- s390: ask for relative port number even when device parameters
  have been entered manually (bnc#477918)
- netsetup option is not used when doing network install (bnc#495525)
- reintegrate zenworks imaging options
* Fri Feb 13 2009 snwint@suse.de
- call gpg with '--ignore-valid-from --ignore-time-conflict' to avoid
  failing on systems with broken date/time (bnc#456755)
* Thu Feb 12 2009 snwint@suse.de
- removed obsolete documentation and added a snapshot from the
  openSUSE wiki instead (bnc#474848, bnc#473523)
* Wed Feb 11 2009 uli@suse.de
- s390: delay net IF setup in auto-install mode (bnc#473749)
* Tue Jan 27 2009 snwint@suse.de
- do not ask for display type in auto mode (bnc#446458)
- correctly detect dhcp failure (bnc#406475)
* Tue Jan 20 2009 snwint@suse.de
- load edd before starting udev (bnc#465709)
* Mon Jan 19 2009 snwint@suse.de
- enable ZyppRepoURL (bnc#465820)
* Mon Jan 12 2009 snwint@suse.de
- keep VNC & SSH settings (bnc#447433)
* Mon Jan 12 2009 snwint@suse.de
- translations updated (bnc#445764)
* Wed Dec 10 2008 uli@suse.de
- s390: clean up properly after failed installation attempt
  (bnc#443430)
* Wed Nov 26 2008 snwint@suse.de
- keep parts of initrd for rescue system (bnc#437796)
* Tue Nov 25 2008 snwint@suse.de
- accidentally copied usb disks into ram while searching for
  driver updates (bnc#448807)
* Fri Nov 21 2008 uli@suse.de
- s390: fallback fix that should have made it into 3.3.15 somehow got
    lost; re-added
* Wed Nov 19 2008 snwint@suse.de
- translations updated
* Wed Nov 19 2008 snwint@suse.de
- don't check SHA1 of info files (bnc#446134)
* Fri Nov 14 2008 uli@suse.de
- s390: don't crash when no port number entered (bnc#444510)
* Thu Nov 13 2008 snwint@suse.de
- driverudates were sometimes not unmounted
- inst-sys/rescue can now be extended via 'dud' syntax
* Tue Nov 11 2008 uli@suse.de
- s390: don't fall back to manual mode unless portno is actually needed
- s390: added portno parameter for autoinstall (fate#304080)
* Fri Nov  7 2008 snwint@suse.de
- revert ps3 patch (bnc#442227)
* Fri Oct 31 2008 snwint@suse.de
- disable PS3 vram swap for now as it causes trouble with FW 2.50
- reworked signature & sha1 checks (bnc#435679)
- driverupdates need to be signed now (bnc#435685)
- search list dialog back to old place (bnc#439754)
* Fri Oct 24 2008 sassmann@suse.de
- disable PS3 vram swap for now as it causes trouble with FW 2.50
* Thu Oct 23 2008 mantel@suse.de
- remove bogus domain name check; enter search list after NS setup
* Wed Oct 15 2008 snwint@suse.de
- initrd can have parts in fs images (bnc#430140)
- fix signature check (bnc#435170)
* Mon Oct 13 2008 snwint@suse.de
- get hostname via dhcp (bnc#432560)
- keymap: rename de-lat1-nd -> de-latin1-nodeadkeys
- change keymap handling to work with original kbd package layout (bnc#432581)
- fix bug in lndir code
* Tue Oct  7 2008 snwint@suse.de
- cd-rom -> dvd (bnc#221760)
- fix segfault in fs type detection (bnc#429224)
* Wed Oct  1 2008 snwint@suse.de
- removed net_ask_hostname() (bnc#423136)
- don't completely trust user specified device name (bnc#429518)
- allow to correct an invalid ip (bnc#428287)
- fix segfault in umount (bnc#429234)
- add domain name dialog (bnc#423666)
- tftp is back (bnc#395107)
* Tue Sep 23 2008 snwint@suse.de
- added 'supporturl' option (fate#305180)
* Mon Sep 22 2008 uli@suse.de
- s390: added second port support for OSA 3/ATM (fate#304080)
* Fri Sep 19 2008 uli@suse.de
- s390: fixed flaky net device name detection (bnc#427475)
- s390: don't ask for network parameters twice
* Wed Sep 17 2008 snwint@suse.de
- s390: don't loop over net config, return error instead (prevents
    inconsistency in workflow on error)
- make 'extend' a bit faster
* Mon Sep 15 2008 snwint@suse.de
- s390: remove old network setup code
- s390: pass layer2, portname to qeth_configure
- add ZyppRepoURL to install.inf (bnc#406162)
* Mon Sep  1 2008 snwint@suse.de
- load 'efivars' module
- added 'efi' option
- added 'udev' & 'udev.mods' debug flags
* Mon Aug 18 2008 snwint@suse.de
- 'boot installed system' no longer crashes
* Mon Aug 18 2008 snwint@suse.de
- s390: use network config scripts instead of our own code
- re-organize menu structure
- offer new option "start shell" under "expert" (fate#303627)
- s390: we can do a reboot() on s390 now (fate#304940)
- s390: fixed net_s390_get_ifname() for new sysfs layout
- s390: handle module loading errors
- s390: ctc module is now called ctcm
* Fri Jul 25 2008 snwint@suse.de
- support .init/.done scripts in extensions
- show motd when starting a shell
* Thu Jul 24 2008 snwint@suse.de
- 'extend' can now add and remove inst-sys parts
- added 'sax2' option: use sax2 for inst-sys X11 config
* Mon Jul 21 2008 snwint@suse.de
- there is a real ppc64 now
* Tue Jul  8 2008 snwint@suse.de
- basic ipv6 support
* Tue Jun 10 2008 snwint@suse.de
- don't check filenames when verifying SHA1 sum
- s390: fixed typos etc.
* Tue Jun  3 2008 snwint@suse.de
- fixed evil bug in netcard sorting code (bnc#396749)
* Thu May 29 2008 snwint@suse.de
- find proper place for media check (bnc#395157)
* Tue May 27 2008 snwint@suse.de
- try connected network cards first (bnc#394618)
- use dhcpcd --noipv4ll to avoid local link addresses (bnc#394618)
- fix driverupdate loading (bnc#393082)
- load usb modules before starting braille detection
* Mon May 26 2008 snwint@suse.de
- fix driverupdate loading (part 1)
- s390: switch from hwcfg to udev
- updated translations
* Mon May 19 2008 snwint@suse.de
- on zSeries, no ESC key is available to cancel input.
  Use "+++" instead (bnc#388424)
- load mv643xx_eth (bnc#359867)
* Tue May 13 2008 snwint@suse.de
- ps3: use real 'swapon'
* Fri May  9 2008 snwint@suse.de
- ps3: use udevsettle
* Fri May  9 2008 snwint@suse.de
- added size parameter to util_read_and_chop()
- drop adfs detection
- load ps3_gelic
- removed net_list_s390_devs()
* Fri May  9 2008 snwint@suse.de
- removed braille detection workaround
- translations updated
* Thu May  8 2008 snwint@suse.de
- swap to videoram on PS3
* Thu May  8 2008 snwint@suse.de
- added 'nfsops' option to pass nfs mount options
* Wed May  7 2008 snwint@suse.de
- added option 'braille=1' to start braille support in linuxrc
- fix media check (bnc#385885)
- left align list of SLP installation sources
* Wed Apr 30 2008 snwint@suse.de
- dhcpcd even changed /var/lib/dhcpcd/dhcpcd-*.info format (bnc#383737)
* Thu Apr 24 2008 snwint@suse.de
- try wired network cards first (bnc#381283)
- adapt to new dhcpcd
* Wed Apr 23 2008 snwint@suse.de
- downloaded 'info' file is now /download/info (bnc#333835)
- driver updates can be specified with dud=<url> (fate#302851, bnc#363650)
* Mon Apr 21 2008 snwint@suse.de
- check for existing ip only if 'arping' is available
- autoload network modules in manual mode (bnc#378731)
* Wed Apr 16 2008 snwint@suse.de
- turn kexec_reboot on per default (bnc#380146)
* Wed Apr  9 2008 snwint@suse.de
- allow 'root: kexec' in /etc/yast.inf
* Mon Apr  7 2008 snwint@suse.de
- added kexec_reboot option (for yast)
* Fri Apr  4 2008 snwint@suse.de
- instsys extensions: track loaded parts better
* Thu Apr  3 2008 snwint@suse.de
- smt is now reg (or smt)
- implemented 'extend' command for downloading & integrating instsys parts
* Fri Mar 28 2008 snwint@suse.de
- fix loading of modules without config
- can unpack only parts of cpio/rpm archives
  (add '?list=pattern1,pattern2,...' to url)
* Wed Mar 26 2008 snwint@suse.de
- support rpms as image files
- added option 'squash=1': convert downloaded files to squashfs images
* Fri Mar 14 2008 snwint@suse.de
- fix segfault introduced recently (bnc#370849)
- better kexec support (with splash)
- reworked module option code to work properly
* Wed Mar 12 2008 snwint@suse.de
- yep is now smt
- Tejun: allow module options to be passed simply as 'module.option'
* Wed Feb 27 2008 snwint@suse.de
- unmount all discs in case YaST could not do it itself (fate#302647)
- support Y2GDB option (fate#302346)
* Wed Feb 20 2008 snwint@suse.de
- fix segfault when selecting an unknown language (#360867)
* Mon Feb  4 2008 snwint@suse.de
- mediacheck: only if we install from cd
* Mon Feb  4 2008 snwint@suse.de
- pass 'yepurl'&  'yepcert' options to yast (fate#303335)
- when doing a network install, check if the IP address of the machine
  to be installed is already in use by another machine (#fate 302027).
  This check can be suppressed with parameter "forceip=1" either on
  the command line or in the configuration file
- when parameter "mediacheck" is set to 1, perform check of the installation
  media (fate#302993). When problems are found, fall into manual mode.
- allow media check to be interrupted by pressing the ESC key
* Wed Jan 30 2008 snwint@suse.de
- support root/rescue to be split into several separate images
- add 'nomdns' option to turn off MDNS usage (#349467)
- linuxrc.debug accepts 'wait'
- fixed segfault when restating installation
* Tue Jan  8 2008 snwint@suse.de
- new install.inf entries: RepoURL & InstsysURL
* Wed Nov  7 2007 snwint@suse.de
- apply 'netwait' to dhcp, too (#335648)
* Wed Nov  7 2007 snwint@suse.de
- fix parsing of 'rescue' parameter
- reactivate media change code
- redirect kernel messages to tty4 earlier, so we don't watch udev
  at work
* Mon Sep 24 2007 snwint@suse.de
- fix 32-bit filesize issue (#310893)
* Wed Sep 19 2007 snwint@suse.de
- correct sha1 endianness (#326258)
- make slp window wider
* Mon Sep 17 2007 snwint@suse.de
- don't turn off swap (#308121)
- device was sometimes not written to install.inf (#305495)
* Tue Sep 11 2007 snwint@suse.de
- translations updated
* Mon Sep 10 2007 snwint@suse.de
- always write 'cdrom' entry to install.inf (#305495)
* Fri Sep  7 2007 snwint@suse.de
- 'netdevice' option is back (#304268)
- added 'device' option (replaces 'partition' and 'cdromdev')
* Mon Sep  3 2007 snwint@suse.de
- enable modprobe all the time (#303728)
- write blacklist for modprobe
* Fri Aug 31 2007 snwint@suse.de
- get nisdomain via dhcp (#303844)
- store wlan config in install.inf (#223570)
* Thu Aug 30 2007 snwint@suse.de
- fix rescue system loading
- finished driver update loading (#304827)
* Mon Aug 27 2007 snwint@suse.de
- better handle situations with more than one module to load (#304134)
* Mon Aug 20 2007 snwint@suse.de
- support downloading >2GB images
- added new translations
* Fri Aug 17 2007 snwint@suse.de
- changed usb module loading (#223450)
- fixed 'file' & 'exec' schemes
* Thu Aug 16 2007 snwint@suse.de
- really write proxy port (#300177)
- manual mode: allow to enter server port (#299224)
- nfsport option gone
* Tue Aug 14 2007 snwint@suse.de
- fix nfs mount, nfs.tcp option gone (#216392)
- fixed network setup bug
- instsys was not found if it's a directory & a relative url was used
* Thu Aug  9 2007 snwint@suse.de
- updated po files
* Thu Aug  9 2007 snwint@suse.de
- module for iso9660 is isofs (#298345)
- download license.tar.gz (#298342)
- removed xxx option
- added kexec=1 option (feat. 301806)
- don't check sha1 of 'content'
- some more log messages
* Wed Aug  8 2007 snwint@suse.de
- map ppc64 -> ppc (#298348)
* Wed Aug  8 2007 snwint@suse.de
- new key for sha1 checksums
* Mon Aug  6 2007 snwint@suse.de
- made ntfs-3g default
- check sha1sum of all downloaded files (feat. 302195)
* Fri Aug  3 2007 snwint@suse.de
- removed ancient livecd code
- usentfs3g=1 switches to ntfs-3g (#276450)
- resolv.conf not written when netsetup=dhcp,all was used (#284469)
- allow multiple nameservers (#284469)
- major parts rewritten to clean up workflow & file handling
- using libcurl for downloads
- knows about squashfs
* Fri May 25 2007 snwint@suse.de
- cleanup: removed MemYaSTText & MemModules options
- 'addswap' works again
- added warning before we format a paritition
* Thu May 24 2007 snwint@suse.de
- withiscsi=1 now implies netsetup=1 (#271420)
- rewrote swap space dialog: it can create swap partitions
  and files now
* Mon Mar 26 2007 snwint@suse.de
- new vfat fs detection (#257117)
- added ext4dev support
- s390: ask for installation display when netsetup=1 (bug #253695)
* Fri Mar 16 2007 snwint@suse.de
- accept 'BOOTIF' as alias to 'netdevice'
- mls: bad tftp response overwrites the request (#242892)
- added netsetup=dhcp,all option to try all network interfaces
  for dhcp (#249046)
- work around problem with too early DHCP releases (#221865)
- don't ask for keymap when starting rescue system
  on serial console (#255344)
* Fri Feb  9 2007 snwint@suse.de
- Korean no longer requires extra font
* Mon Feb  5 2007 snwint@suse.de
- added 'netretry' option to aid debugging network problems (#236646)
* Mon Feb  5 2007 snwint@suse.de
- read iSCSI BIOS tables (#221206)
* Fri Jan 26 2007 snwint@suse.de
- add network card name to install.inf (#223498)
* Fri Jan 19 2007 snwint@suse.de
- s390: fix device list, then disable it (should not be necessary
  any more)
- s390: limit number of network interfaces displayed
- s390: clean up cut-and-paste programming
- make s390 net config work again
- more ip address checks (#229297)
- aborting some dialogs changed config values (#229878)
* Tue Nov 21 2006 snwint@suse.de
- run 'iwconfig <interface> key off' for open wlan connections (#222491)
* Mon Nov 20 2006 snwint@suse.de
- write module blacklist to install.inf (#221815)
- translations updated
* Thu Nov 16 2006 snwint@suse.de
- something with slp (#185483)
- fixed disk size info (#221153)
- umount before starting rescue system (#220316)
* Mon Nov 13 2006 snwint@suse.de
- new translations
* Fri Nov 10 2006 snwint@suse.de
- read info file via network (#56845)
* Tue Nov  7 2006 snwint@suse.de
- new translations
* Mon Nov  6 2006 snwint@suse.de
- more large file fixes
- info file via network, first step
* Tue Oct 24 2006 snwint@suse.de
- use stat64 when checking for files (#184448)
- info file can be on any local media (#56845)
- there's no longer a default info file
- removed remaining special floppy-code (used to be for
  rescue floppy & old info file code)
* Fri Oct 20 2006 snwint@suse.de
- get rid of network config questions after failed network
  install (#171102)
- add wlan setup during auto install
* Thu Oct 19 2006 snwint@suse.de
- extend $PATH for busybox
- better active driver detection
* Wed Oct 18 2006 snwint@suse.de
- better wlan support
- removed ancient ide-scsi/hwcheck code
- removed module disk support
- removed strange passwd/shadow handling code
- rewrote hardware activation: per default all storage & network
  modules are loaded now
- removed (hopefully) obsolete pcmcia code
* Mon Oct 16 2006 snwint@suse.de
- mark loaded/loadable modules differently in module selection dialog
- fixed drawing bug in too small windows
- better network device selection
- basic wlan support
* Mon Oct  2 2006 snwint@suse.de
- cdrom install works again
- allow network config in 'exec' scheme
* Mon Sep 25 2006 snwint@suse.de
- added 'exec' url scheme that just runs a program
* Mon Sep 18 2006 snwint@suse.de
- link against full libhd (for wlan stuff)
* Wed Aug 30 2006 snwint@suse.de
- s390: remove dependency on libsysfs
* Wed Aug 30 2006 snwint@suse.de
- tell the user what file we failed to FTP
- s390: accept upper-case CCW addresses
- s390: make CTC mode dialog wider (bug #186563)
- set min vnc password length to 8 (#184204)
- changed tftp to bind to different port for each connection (#187745)
- remove libsysfs but for s390
* Tue Aug 29 2006 ro@suse.de
- added sysfsutils to BuildRequires and -lsysfs to LDFLAGS
* Thu Jul 13 2006 trenn@suse.de
- activate dynamic cpufreq on supported machines (#176791)
* Fri Jun  9 2006 snwint@suse.de
- fixed device name matching for hard disk install (#177055)
- read /proc/cmdline with fread() instead of fgets() (i.e. do not
  stop at LF, bug #176095)
- strip - and _ from both given parameters and parameter keywords;
  otherwise parameters with these characters won't match their
  keywords (bug #165458)
- s390: add layer2 parameter to set layer2 option (bug #168492)
- s390: don't show layer2 dialog if network IF is hsi (not
  supported)
* Thu May 18 2006 snwint@suse.de
- increase klog buffer so we don't miss important kernel messages (#172971)
- s390: add layer2 option for qdio/eth interfaces
* Thu May 11 2006 snwint@suse.de
- allow block devs without partition table as harddisk install
  source (#158529)
* Thu May 11 2006 snwint@suse.de
- fix zfcp_host_configure call (bug #whatever)
* Mon May  8 2006 snwint@suse.de
- don't use broadcast flag for dhcp; make dhcpcd options
  configurable (#166222)
* Mon May  8 2006 snwint@suse.de
- evaluate 'insmod' option earlier, so modules are loaded before
  hardware detection starts (#164213)
- keep udevd running (#171872)
* Thu Apr 27 2006 snwint@suse.de
- wait for usb-stor-scan to finish (#168983)
* Tue Apr 25 2006 uli@suse.de
- s390: fixed zfcp_disk_configure parameters (bug #162954)
* Fri Apr 21 2006 snwint@suse.de
- don't do any %%G stuff if not utf8 (#165564)
* Wed Apr 12 2006 snwint@suse.de
- fixed cramfs handling on big-endian machines (#164659)
* Mon Apr 10 2006 uli@suse.de
- s390: use mod_modprobe() instead of mod_insmod() to load zfcp
  module (bug #162954)
* Fri Apr  7 2006 snwint@suse.de
- translations updated
* Wed Apr  5 2006 snwint@suse.de
- fixed driverupdate loading
* Fri Mar 24 2006 snwint@suse.de
- introduce media.1/installfiles (to handle SPs)
* Thu Mar 23 2006 snwint@suse.de
- allow ISO images as install source (#159565)
- downloaded files were not unlinked after use
* Tue Mar 21 2006 snwint@suse.de
- 'driverupdate' files were not always allowed (#153667)
- accept cpio archive when loading images
- removed some ancient loop-mount code
* Mon Mar 20 2006 snwint@suse.de
- fix 'loading' message in linemode
- fix rescue loading message
* Mon Mar 20 2006 snwint@suse.de
- accept console=uart,... option (#152221)
- don't kill shell on console 9
- 'listen' mode improved
* Tue Mar 14 2006 snwint@suse.de
- kill zombies (#150208)
* Fri Mar 10 2006 snwint@suse.de
- 'request for CD1' message texts are read from CD (#64750)
* Tue Mar  7 2006 uli@suse.de
- now possible to enter +++ as an escape sequence instead of
  pressing ^[ in dia_input*() (bug #144245)
* Mon Mar  6 2006 snwint@suse.de
- translations updated
* Tue Feb 28 2006 uli@suse.de
- s390: bring up FCP adapter when booted from SCSI (bug #153336)
* Mon Feb 20 2006 snwint@suse.de
- Belgian keymap added (#117185)
- get rescue /dev dir right
* Thu Feb 16 2006 snwint@suse.de
- fix free()-bug (#150012)
- s390: avoid buffer overrun on systems with many devices (bug #148043)
* Tue Feb 14 2006 snwint@suse.de
- read Pointopoint (config.net.ptphost) from config file and
  command line
- another attempt to get rescue system right (#149949)
* Tue Feb  7 2006 snwint@suse.de
- start getty on serial console in rescue system (#145357)
* Mon Feb  6 2006 snwint@suse.de
- startshell, again (#144886)
- removed modules disk references, adjusted texts (#146540)
- don't run splash if kernel splash is not active (#145598)
- s390: made sure net IF setup code is also called in
  autoinstall mode (bug #146290)
- s390: fixed two buglets while testing the above
- s390: do not ask for hostname
- SLP accepts key to limit selection
* Mon Jan 30 2006 snwint@suse.de
- added dia_input2_chopspace() (removes leading and trailing
  whitespace)
- use dia_input2_chopspace() for s390 device parameters
  (bug #144255)
- implemented ethtool option (#145041)
* Thu Jan 26 2006 snwint@suse.de
- separate deprecated s390 devices visually (bug #144243)
- handle startshell in linuxrc (#145619)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 snwint@suse.de
- another linemode fix (#144886)
* Mon Jan 23 2006 snwint@suse.de
- search for driver updates in initrd (feat #152)
- make net IF error handling a bit more verbose
- s390: qeth_mod is now qeth
- no probing progress indicator for s390*
- no utf8, no language & keyboard dialogs in linemode
* Fri Jan 20 2006 snwint@suse.de
- hare: s390 hotplug fix
* Mon Jan 16 2006 snwint@suse.de
- make sure /sbin/hotplug gets events
- pass iscsi option to yast (feature #85)
- translations updated
* Wed Jan 11 2006 snwint@suse.de
- fix dns-resolve bug (#139546)
* Wed Jan 11 2006 snwint@suse.de
- fixed linemode menu handling
* Mon Dec 19 2005 snwint@suse.de
- support sub-headings in lists and dialogs
- allow udevd to manage /dev tree
- removed internal modprobe
* Fri Dec  9 2005 snwint@suse.de
- support rescue system as cramfs
* Fri Dec  9 2005 snwint@suse.de
- remove compiled-in dhcpcd
- write resolv.conf even if dhcp is used
- code cleanup: removed some ancient things and uclibc & dietlibc support
* Wed Dec  7 2005 snwint@suse.de
- portmap gone
- autoloading modules now resolves dependencies
* Fri Dec  2 2005 snwint@suse.de
- -Taiwan
- use bash, not linuxrc shell
- removed complied-in kbd tools
* Tue Nov 29 2005 snwint@suse.de
- remove /usr/lib/YaST2/bin from PATH (#131766)
- copy license.zip (feat #110081)
* Wed Nov 16 2005 dmueller@suse.de
- remove uClibc from nfb
* Fri Oct 28 2005 snwint@suse.de
- new stuff
- fix floppy detection in module loading dialog (#55566, #64391)
- ensure there's no servicepack.tar.gz in network installs (#117099)
- add new s390 net parameters
- can ensure driver updates are applied
* Tue Sep 13 2005 snwint@suse.de
- load all pcmcia drivers (#104517)
* Mon Sep 12 2005 snwint@suse.de
- don't activate wide-char languages on normal linux console (#116289)
* Mon Sep  5 2005 snwint@suse.de
- fix segfault when doing hd install & network setup (#114938)
- don't try network install if cd install fails (#84171)
* Thu Sep  1 2005 snwint@suse.de
- free initramfs data
* Mon Aug 29 2005 snwint@suse.de
- run pcmcia startup
- add config option for NFS via TCP (#76717)
- new translations
* Wed Aug 24 2005 snwint@suse.de
- better vfat detection
- tag auto-detected modules in module loading dialog
- set keymap in auto mode (#105690)
* Mon Aug 22 2005 snwint@suse.de
- use Dansk keymap (#105690)
- translations updated
- fix pcmcia support (#103740, #104517)
* Mon Aug 22 2005 snwint@suse.de
- ignore padding when checking media
* Mon Aug 15 2005 snwint@suse.de
- new translations
* Thu Aug 11 2005 snwint@suse.de
- full bootsplash support (#104009)
- 'start installed system': rootfs accidentally unmounted (#102697)
* Fri Aug  5 2005 snwint@suse.de
- don't use root path dhcp reply for anything (#98937)
* Fri Jul 29 2005 snwint@suse.de
- updated texts
- add check to ensure inst-sys matches initrd
* Mon Jul 25 2005 snwint@suse.de
- show kbd layout dialog for rescue system only when needed
* Wed Jul 13 2005 snwint@suse.de
- temporary workaround for mount problem
* Thu Jul  7 2005 snwint@suse.de
- better 'loading' progress display
* Wed Jul  6 2005 snwint@suse.de
- drop obsolete config-dist.sh
* Tue Jul  5 2005 snwint@suse.de
- dbus-1 & hal needed to link against libhd
* Tue Jun 14 2005 ro@suse.de
- added sysfsutils to nfb
* Fri May 27 2005 snwint@suse.de
- export INSTSYS to all shells (#85617)
* Mon May 23 2005 snwint@suse.de
- s390: restructured net IF config as suggested by Ihnken Menssen
- added armv4l support to Makefile
- keep initrd modules for rescue system
- don't use ramdisks
* Wed Apr  6 2005 uli@suse.de
- s390: SCRIPTUP_* entries in hwcfg-* files must be lower-case
  after the underscore
* Tue Apr  5 2005 uli@suse.de
- s390: only IUCV hwcfg files must be named hwcfg-static-
* Fri Apr  1 2005 snwint@suse.de
- s390: hwcfg- files renamed to hwcfg-static-
* Tue Mar 22 2005 snwint@suse.de
- pass ide-core module options (#72454)
* Thu Mar 17 2005 snwint@suse.de
- load storage modules before asking for update disk (#73530)
* Wed Mar 16 2005 snwint@suse.de
- load acpi modules if necessary (#72146)
- no error if asian fonts are missing (#72992)
- translations updated
- font updated
* Mon Mar 14 2005 snwint@suse.de
- s390: fix segfault in net_list_s390_devs()
- extra root image was sometimes not used
- allow netdevices to be specified by hwaddress
* Fri Mar  4 2005 snwint@suse.de
- allow ssh=1 as an alias for usessh=1 (#66793)
- pass unknown languages to yast
- copy into new tmpfs even if we use initramfs
- support additional inst-sys (via rootimage2 option)
- load extra root image depending on language
- fixed bug in inst-sys linking code
* Tue Feb 22 2005 snwint@suse.de
- accept "domain;" in smb url
* Mon Feb 21 2005 snwint@suse.de
- prepare for initramfs
* Thu Feb 17 2005 snwint@suse.de
- use cifs instead of smb (#38423)
- build dynamically linked linuxrc
* Thu Feb 17 2005 snwint@suse.de
- smb mount accepts share + directory (#26059)
* Mon Feb 14 2005 snwint@suse.de
- really always write Locale (#37679)
- fix url handling (#35907, #50618)
- write port number to install.inf
* Tue Feb  8 2005 snwint@suse.de
- don't show unnecessary network config popup during autoinstall (#47690)
- add config option to make it possible to turn off automatic module
  disk requests (#47909, #46809)
- added 'newid' option to add new driver ids to pci modules (#36084, #49128)
- netwait=N option fixed
- close tftp connection
- some zenworks stuff
- zen: urls specfify relative paths
- support ukrainian
* Mon Feb  7 2005 snwint@suse.de
- pcmcia fixes
* Mon Jan 24 2005 snwint@suse.de
- linuxrc should *not* ask for dhcp after netsetup=dhcp
- new hungarian texts
- fix bug in scsi device renaming code (#49391)
* Fri Oct  1 2004 snwint@suse.de
- italian translations
* Wed Sep 29 2004 snwint@suse.de
- minor driver update dialog fix
- s390: enhanced IUCV parameter description (bug #42789)
* Tue Sep 28 2004 snwint@suse.de
- basic chinese support
- added some hebrew chars to linuxrc font
* Mon Sep 27 2004 snwint@suse.de
- enhanced driver update dialog
- french translations updated
* Mon Sep 20 2004 snwint@suse.de
- added 'netwait=N' option: wait N seconds after network setup (#44218)
- s390: several minor netdev setup fixes
* Mon Sep 13 2004 snwint@suse.de
- fixed font creation
* Fri Sep 10 2004 snwint@suse.de
- wrote small console font (*.psfu) manipulation program (mkpsfu)
- added special linuxrc console fonts
- updated translations
- s390: fixed CCW address sanity check
* Mon Sep  6 2004 snwint@suse.de
- updated translations
- s390: made dialogs autoinstall-compliant, added input checks/hints
* Thu Sep  2 2004 snwint@suse.de
- made more messages translatable
* Wed Sep  1 2004 snwint@suse.de
- wide char output works
* Mon Aug 30 2004 snwint@suse.de
- fixed remaining loadkeys issues
* Fri Aug 27 2004 snwint@suse.de
- s390: ask for hostname, enable portmapper, cleanups
- added 'start shell' menu entry
- s390: LCS configuration, cut-and-paste cleanup, minor fixes
- new kbd tools
* Mon Aug 23 2004 snwint@suse.de
- added installation display selection (X11/VNC/SSH)
- initial support for S/390 network device setup (IUCV, CTC, QDIO)
- added md5sum check option
* Mon Aug 16 2004 snwint@suse.de
- some font adjustments
* Wed Aug 11 2004 snwint@suse.de
- set font earlier
* Fri Aug  6 2004 snwint@suse.de
- deal with multi gateway dhcp response (#25413)
- utf8 support
* Mon Jul  5 2004 snwint@suse.de
- joined changes up to 1.6.37 from 9.1 branch
- removed obsolete files
* Thu May 13 2004 snwint@suse.de
- VNC password check refined
* Mon May 10 2004 snwint@suse.de
- linuxrc missed some storage controllers, leading to unexpected
  module loading order (#40018)
- updated translations
- added VNC password length check (#30434)
- replaced disk/cdrom info screen (#39092)
* Sat May  8 2004 snwint@suse.de
- fixed compiling on s390
- added memory size test (#38826)
- added japanese language entry (#40124)
* Thu May  6 2004 snwint@suse.de
- run modprobe, not insmod if possible (#39946)
* Wed May  5 2004 snwint@suse.de
- fixed name server setup for static ip config (#38750)
- fixed module loading with parameters (didn't work at all)
- added killall command, needed for:
- kill all dhcp clients (#38617)
- fixed network interface activation; linuxrc used to miss interfaces
  if one module activates several interfaces
- removed code that tried a network install on i386 if
  CD installation failed
* Wed Apr 28 2004 snwint@suse.de
- improved slp support
* Mon Apr 26 2004 snwint@suse.de
- add root=halt feature to yast.inf (tell linuxrc to halt the machine)
- always report keyboard to yast (#38922, #39235)
- rewrote serial console handling (#23322)
- reopen & init console when we return from yast (#39316)
- query & set terminal size
* Tue Apr 20 2004 snwint@suse.de
- linuxrc should not have a controlling terminal (#37177)
* Wed Apr  7 2004 snwint@suse.de
- use HWAddr (not NetHWAddr) in install.inf
* Wed Apr  7 2004 snwint@suse.de
- slp fix
* Tue Apr  6 2004 snwint@suse.de
- fixed driver update (didn't load modules)
- set language a bit earlier (#37467)
* Mon Apr  5 2004 snwint@suse.de
- scsi rename code enabled
* Sat Apr  3 2004 snwint@suse.de
- updated code that ensures usb/firewire devices are always
  the last scsi devices (#36187)
- always load all storage modules (necessary so that scsi/usb renaming
  takes effect)
- scsi rename code disabled (#38222)
* Fri Apr  2 2004 snwint@suse.de
- SuSE -> SUSE
- noshell: not even a shell on console 9 (#37524)
- set language before slp dialog (#37467)
* Wed Mar 31 2004 snwint@suse.de
- fixed cardmgr module loading
- fixed modprobe
* Mon Mar 29 2004 snwint@suse.de
- no pci info (#37245)
- japanese keyboard (#31417)
- cardmgr: run modprobe without '>&2' (#36661)
- run setctsid before inst_setup
* Tue Mar 23 2004 snwint@suse.de
- don't try to rmmod usb-storage & sbp2 (#35582)
* Mon Mar 22 2004 snwint@suse.de
- provide machine and release filter in slp request
* Mon Mar 15 2004 snwint@suse.de
- write 'NoPCMCIA' & 'NetHWAddr' entries
* Tue Mar  9 2004 snwint@suse.de
- mount /dev/pts
- support SLP
* Mon Mar  1 2004 snwint@suse.de
- write syslog host entry to install.inf (#21436)
* Mon Feb 23 2004 snwint@suse.de
- copy control.xml (#34825)
* Tue Feb 17 2004 snwint@suse.de
- don't build linuxrc_tiny
* Mon Feb 16 2004 snwint@suse.de
- build if NETWORK_CONFIG undefd
- handle '-' vs. '_' in module names
- added rootpassword option
* Thu Feb 12 2004 snwint@suse.de
- added netsetup option
- use linemode on iSeries (#12333)
* Mon Feb  9 2004 uli@suse.de
- don't care about /oldroot when creating /lbin links
* Mon Feb  9 2004 uli@suse.de
- link libsysfs
- enable SWISS_ARMY_KNIFE on s390*
* Tue Feb  3 2004 snwint@suse.de
- mount sysfs
- modules really work
- rmmod is back
* Fri Jan 30 2004 snwint@suse.de
- LiveEval changes
- fixed bug causing linuxrc to do some unexpected things
- hardlinks on driver update medium could cause segfault
- no longer includes insmod et all
- links instsys tree itself (used to be done in inst_setup)
- removed /bin <-> /.bin renaming, linuxrc tools are kept in /lbin
- works with 2.6 modules
* Fri Sep 19 2003 snwint@suse.de
- 'insmod -f' for driver updates
- keep 'console' boot option for grub config
* Thu Sep 18 2003 snwint@suse.de
- use hostip & netmask if they are already known
  in vnc & ssh setup (#30927)
* Wed Sep 17 2003 snwint@suse.de
- look for driver updates on floppy
- fixed typo in serial console code (#31183)
* Mon Sep 15 2003 snwint@suse.de
- leave pcmcia devices to card manager
- slovak translation fix
* Mon Sep 15 2003 snwint@suse.de
- updated slovak translations
* Sun Sep 14 2003 snwint@suse.de
- write 'Console' entry to install.inf again (#29569, #30451)
- make line drawing chars work on serial console
- use *last* console arg for linuxrc (#18592)
- tty and tty%%d are known not to be serial lines (#18592)
- 'loglevel' parameter can be used to change kernel log level (#18592)
- add translations for driver update menu entry (#30395)
- write unique id of network card, not interface (#25739)
* Tue Sep  9 2003 snwint@suse.de
- use time() *and* CLientHwAddr for xid calculation in dhcpcd (#29334)
* Sat Sep  6 2003 snwint@suse.de
- advance splash progress bar
- added bosnian translation
- load fs module for hard disk installation (#29996)
* Fri Sep  5 2003 snwint@suse.de
- back to en as default (#29594)
- load cardbus drivers (#29543)
- remove more items from cmdline (#30164)
* Mon Aug 25 2003 snwint@suse.de
- allow more net devices in selection list (#28659)
* Tue Aug 19 2003 ro@suse.de
- reduce number of warnings: include stdlib.h for exit
- rename "int log" to "int err_log" in insmod stuff
- use tmpfs instead of shmfs (will be deprecated soon)
* Mon Aug 11 2003 snwint@suse.de
- support modprobe libhd entries
* Fri Aug  1 2003 snwint@suse.de
- make 'boot installed system' work again
- shut down correct network interface (#27839, #28261)
* Wed Jul 16 2003 snwint@suse.de
- use static resolv lib
* Tue Jul 15 2003 snwint@suse.de
- create /dev tree
* Mon Jul 14 2003 snwint@suse.de
- better control over option parsing
- rewrote driver update handling (#27792)
- put cmdline args into /etc/install.inf (#25745)
- updated FAT fs detection (#27814)
- cleaned up manual mode & option parsing
* Wed Jun 11 2003 ro@suse.de
- fix compilation with uclibc
* Thu May 15 2003 snwint@suse.de
- 8.2 live eval changes
- added 'idescsi' parameter: use ide-scsi module for cdr/cdrw drives
  (needed for live eval)
- fix sorting of languages and keyboards
- fixed dev_t mess with loop mounts
- copy 'part.info' file from install medium
- make hd installs work properly (#26906)
* Tue Mar 11 2003 snwint@suse.de
- module unloading used to clear internal network/disk lists (#24606)
- keep proxy scheme (#23611)
* Fri Mar  7 2003 snwint@suse.de
- don't log to console (#24753)
* Mon Mar  3 2003 snwint@suse.de
- updated slovak & czech translations
- fixed some gcc warnings
- don't check for gateway config (#22430)
- added chroot command
- write alias lines for all net interfaces (#22444)
- updated cardmgr (#23839)
- support kernel-pcmcia
- fixed linuxrc modprobe
- allow ip_addr/network_bits notation in hostip
* Tue Feb 18 2003 snwint@suse.de
- added new usb storage device handling code
* Wed Nov 13 2002 ro@suse.de
- fix for current bison (end all rules with ";")
* Wed Nov  6 2002 snwint@suse.de
- joined with 8.1 branch:
- enable samba support
- restructed VNC/SSH ask for password handling so we do not ask
  for netconfig and later do unconditional DHCP (#19721)
- copy 'content' file from install medium (#19904)
- set memory limit defaults _before_ reading them
  from config files (#19960)
- get info.txt (#18504)
- don't ask for netdevices if one was explictly given (#20625)
- skip LS120 detection on ppc (#12514)
- specify driver update dir explicitly (#19442)
- info.txt file was not copied for cd/nfs installs (#21064)
- mount of SAMBA-device as guest does not work (#20152)
- linuxrc should perfom a poweroff on s390 instead a reboot (#20894)
- allow to set hostname (#21099)
- sparc64 needs different inst-sys
* Mon Sep 16 2002 snwint@suse.de
- check for inst-sys was still wrong (#19658)
- always load usb-storage, otherwise usb cdroms might
  be missed in some cases (#19004)
- fixed usbwait option handling (had no effect when given
  on command line)
- added moduledelay option: timeout in seconds after insmod
- serial console fix (superfluous '/dev', #19635)
* Wed Sep 11 2002 snwint@suse.de
- do write server info for VNC/ssh install again
  needed for network installation (#18882)
* Tue Sep 10 2002 snwint@suse.de
- mls: added line oriented display mode
- don't set serial console twice
* Tue Sep 10 2002 snwint@suse.de
- ensure proper display init in vnc/usessh case (#19099)
* Mon Sep  9 2002 snwint@suse.de
- don't write server info for VNC/ssh install (#18882)
- disks/README --> boot/README
- lower limit for yast2 (44MB --> 40MB)
* Sun Sep  8 2002 snwint@suse.de
- make linuxrc_tiny even smaller
- added 'hostip' option ('ip' is used by kernel)
* Sat Sep  7 2002 snwint@suse.de
- added option to force loading scsi modules before usb mods
  (in case of scsi device naming problems)
- write 'alias' entry for vnc
* Fri Sep  6 2002 snwint@suse.de
- better usb cdrom handling (#18583, #19004)
- no pcmcia version mismatch message
* Fri Sep  6 2002 snwint@suse.de
- fixed check for inst-sys
- fixed ieee1394 handling
* Wed Sep  4 2002 snwint@suse.de
- show md/lvm devices
* Tue Sep  3 2002 snwint@suse.de
- made pivot_root a config option
- autoload network modules on auto cd/hd install with vnc/ssh.
* Mon Sep  2 2002 snwint@suse.de
- kukuk: fix for serial console on SPARC & PPC
- symlink /etc/pam.d from instsys so we can run chpasswd for ssh mode.
- ask for passwords not only on auto install with DHCP/BOOTP, but
  also with static config.
- VNC/SSH: ask for network config on CD/HD auto install mode too.
- improved driver update handling
- fixed bug in module disk section naming
- prepared for uclibc
- don't mention LILO in reboot message (#18261)
* Tue Aug 27 2002 snwint@suse.de
- do not imply vnc=1 if vncpassword is given, dito for ssh
* Tue Aug 27 2002 snwint@suse.de
- also ask for ssh/vnc password in auto install.
- new cd layout
- improved usb & firewire handling
* Fri Aug 23 2002 snwint@suse.de
- accept AutoYaST XML files for config data
- delayed splash message a bit (until we got the product name)
- more config things
- allow modules not to be loaded
- moved ssh/vnc password box so that it triggers even on predhcp
  configured network settings.
  Also activate the GUI if it is not yet activated.
* Tue Aug 20 2002 snwint@suse.de
- turn off (most) automatic hardware detection via 'hwdetect=0'
- no longer require CD label to start with 'SU'
- made more things configurable
- cleaned up serial line detection code
* Mon Aug 19 2002 snwint@suse.de
- copy shadow and passwd from inst-sys before calling chpasswd
* Fri Aug 16 2002 snwint@suse.de
- fixed for ppc & sparc
* Fri Aug 16 2002 snwint@suse.de
- use get_txt(id) in the 2 password messageboxes, not just id.
- restart linuxrc automatically after a segfault
- don't start memcheck() thread
- adapted to recent libhd changes
* Thu Aug  8 2002 snwint@suse.de
- add an SSH mode. relayout SSH and VNC mode to be similar.
- make it possible to enable/disable VNC in expert mode
- implemented 'NoShell' option
* Tue Aug  6 2002 snwint@suse.de
- adapted to libhd interface changes
* Mon Aug  5 2002 snwint@suse.de
- schwab: fix ia64 unwind section processing
- improved vnc handling
- build insmod correctly on ppc64
- added 'NetConfig' option to install.inf
* Thu Jul 18 2002 snwint@suse.de
- work properly on systems that have /lib64
- you can use an arbitrary install program now
- added 'setupnetif' parameter (specifies if linuxrc should setup
  network interfaces itself)
* Mon Jul 15 2002 snwint@suse.de
- fixed cramfs detection (byte order issue)
* Thu Jul 11 2002 snwint@suse.de
- lowered mem limit for loading of inst-sys into ramdisk to 200MB (#16976)
- dropped byte order workaround for setting realrootdev
* Tue Jul  9 2002 sf@suse.de
- corrected segfault in util.c on x86_64
* Fri Jul  5 2002 snwint@suse.de
- don't use dietlibc for now
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Wed Jun 26 2002 snwint@suse.de
- merge (mainly ftp) changes from 8.0 branch:
  - raised min free memory limit to 12MB
  - fixed proxy code
  - added 'ProxyProto' entry to install.inf
  - ask for http proxy
  - ftp proxy is proxy via http per default
  - link .S.u.S.E* file to /var/adm/mount for ftp/http/tftp install
  - let 'NetDevice' option cooperate with auto install
* Mon May 27 2002 snwint@suse.de
- fixed Makefile for sparc
* Mon May 27 2002 snwint@suse.de
- removed mini-glibc code
- xf86_64 fixes
- new modutils
* Thu May 23 2002 snwint@suse.de
- let 'NetDevice' option cooperate with auto install
- fixed for dietlibc 0.17
* Wed May 15 2002 snwint@suse.de
- fixed addswap option
- added hwcheck option
- make /suse tree from inst-sys available for ftp/http/tftp install
* Wed Apr 17 2002 mls@suse.de
- set LX_ARCH for mips, don't build pcmcia
* Wed Apr 17 2002 adrian@suse.de
- fix build for mips
* Wed Apr 17 2002 snwint@suse.de
- fixed liveeval mode
- reenabled ftp install
* Fri Apr  5 2002 snwint@suse.de
- added missing hungarian translations
* Wed Apr  3 2002 snwint@suse.de
- fixed hungarian translation
* Tue Apr  2 2002 snwint@suse.de
- added french translations
* Wed Mar 27 2002 snwint@suse.de
- added translations
* Mon Mar 25 2002 snwint@suse.de
- removed breton translations
- copy "y2update" dir from update disk, too
- started new documentation
* Sun Mar 24 2002 snwint@suse.de
- fixed driver update disk handling
- finalized VNC support
- added missing swap dialog translations
- added 'usbwait' option to get slow usb devs working
- added 'nfs.[rw]size' options
* Thu Mar 21 2002 snwint@suse.de
- fixed module handling when we're not using tmpfs (#13985)
- show popup if we didn't add modules from mod disk (#14185)
- don't request module disk unless it would be really useful
- don't ask for swap unless we won't be able to run yast in text mode
- made search for installation system do less unexpected things
- shut down network interface before leaving linuxrc
* Sun Mar 17 2002 snwint@suse.de
- don't use tmpfs on systems < 32 MB
- explicitly set nr_inodes for tmpfs (we need quite a few)
- adjusted memory limits (no swap on 64MB systems)
* Sun Mar 10 2002 snwint@suse.de
- really no error after 'abort'
* Sat Mar  9 2002 snwint@suse.de
- new czech translations
- fixed AddSwap config option
- finalized swap dialog
- disable splash for yast2 ncurses interface
- no error message if user left yast via 'abort' button
* Sun Mar  3 2002 snwint@suse.de
- detect more fstypes
- 'TERM' var settable via info file
- swap space can be activated via info file
- drop ftp/tftp/http net install offer (not implemented in yast)
- show only keytables that really exist
- new czech translations
- don't ask for samba disk, smb is always supported
- remove ancient memory limits
- report to yast whether we found a dvd
- look at 'modules' subdir on module disk images, too
- make 'auto' mode default
- always link against dietlibc on ia32
* Fri Mar  1 2002 snwint@suse.de
- dhcpcd: don't depend on a second DHCPOFFER -- breaks with
  Lucent Technologies server
- added smbmnt
- fixed swap dialog
- remember nameserver info from dhcp
- mount smb shares read-only
- better module dependency handling
- added ln & hex commands
* Mon Feb 25 2002 snwint@suse.de
- make vnc usable
- fixed some bugs in swap dialog
* Mon Feb 25 2002 snwint@suse.de
- more config options
- 'install' parameter works now
- starting rescue system works again
- ask for swap, if needed
* Wed Feb 20 2002 snwint@suse.de
- show list of partitions in 'boot installed system'
- set root image name properly for systems > 256MB
* Mon Feb 18 2002 snwint@suse.de
- removed old module code
- new ramdisk handling
- lots of bugfixes
- internal rework on fs mounting
- make cramfs cooperate with ramdisk
- accessing instsys reworked
* Mon Feb 11 2002 snwint@suse.de
- autoinstall mostly working
- 'info' file parser more flexible
- more things configurable via 'info' file
- added fstype detection
- fixed tftp
* Thu Feb  7 2002 snwint@suse.de
- mls: tftp client code
* Mon Feb  4 2002 snwint@suse.de
- fixed 'cd not found' bug
- don't ask for module params for certain modules
- fixed some pcmcia issues
- http mostly works
- updated docs
- added new texts
- show module disk number
* Mon Jan 28 2002 snwint@suse.de
- internal changes to networking code
- fixed bootpc to work with dietlibc
* Mon Jan 21 2002 snwint@suse.de
- dhcp now mostly works
- smb works
* Fri Jan  4 2002 snwint@suse.de
- fixed writing 'Bootmode' entry
* Tue Dec 18 2001 snwint@suse.de
- module loading more or less works again
* Fri Dec 14 2001 snwint@suse.de
- work around broken terminals that send CR + LF
- make 'info' file parser more flexible
- rewrote color scheme, language and keytable handling
- lots of menus rewritten
- new dialog function
- module loading rewritten
- added some more simple commands: cp, ls, rm, mv, swapon, swapoff
- builds against dietlibc
* Thu Nov 22 2001 snwint@suse.de
- added modules pdcraid and hptraid
- fixed bootp again (#11817) [revert v1.2.3, part 2 changes]
- added 8139cp.o (RealTek RTL-8139 C+)
- no keytable selection on iSeries machines
- add 'Power off' menu entry
- handle ide raid module dependencies
- nashif: added autoinstall patches
- implemented small interactive shell, runs on /dev/tty9
- russian translations updated
- reimplemented info file read function
- file write function ("install.inf") rewritten
- 'info'-like entries are looked for in /proc/cmdline, too if no
  info file was found
- reduced linuxrc's size by dropping setlocale() call in setfont
- cleanup of main()
* Thu Oct  4 2001 kukuk@suse.de
- Remove not supported keyboards on SPARC
* Tue Oct  2 2001 kukuk@suse.de
- For SPARC use only german and english as language
- Change label for keyboard selection, add USB to PS/2
* Mon Sep 24 2001 snwint@suse.de
- removed spanish and italian from tiny linuxrc
- no module autoload for tms 380 token ring cards (#11244)
- support LSIFC9xx/LSI409xx Fibre Channel (#11251)
- load usb-storage module only on computers that have only
  an usb floppy (#9490)
* Sun Sep 23 2001 ro@suse.de
- removed spanish and italian from tiny linuxrc
* Fri Sep 21 2001 snwint@suse.de
- don't run empty commands
- /sbin/update no longer exists
* Thu Sep 20 2001 snwint@suse.de
- make harddisk install work (#8538)
* Thu Sep 20 2001 snwint@suse.de
- updated module list
- simple attempt to get module dependencies right
- allow md? devices as root filesystem
* Thu Sep 20 2001 snwint@suse.de
- ask for keytable before starting rescue system
* Wed Sep 19 2001 snwint@suse.de
- request module disk #2 for network modules (#10697)
- disable SMB menu if SMB is not supported
  (on all archs except s390, currently)
- always look for /dev/fd0, too when searching for module disk (#10829)
- module autoloading no longer stops on missing modules (#10235)
- fixed segfault due to too long translations
- it was impossible to make a CD install after choosing hard disk
  install in linuxrc (#10883)
* Tue Sep 18 2001 snwint@suse.de
- linuxrc copies the initrd into a tmpfs at startup and uses this
  as the new root device
- it & nl translations
* Wed Sep 12 2001 snwint@suse.de
- fixed info file reading
- fr & hu translations
* Tue Sep 11 2001 snwint@suse.de
- SMB support
- support more than one floppy drive
- read info file even if there's no floppy
- new cs & es translations
* Tue Sep  4 2001 snwint@suse.de
- look for yast directly in instsys
- less error messages while trying to umount
- removed nl translations from linuxrc_tiny
* Fri Aug 31 2001 snwint@suse.de
- added 'RebootMsg'
- give installation CD some time before we umount it
* Wed Aug 22 2001 snwint@suse.de
- fixed bug that caused missing INITRD_MODULES line
* Tue Aug 21 2001 snwint@suse.de
- handle >1 swap partitions
- 'swap' entry in yast.inf obsolete
- back to main menu if we return from yast with an error
* Mon Aug 20 2001 snwint@suse.de
- disable modprobe only if we don't have it
- always read yast.inf
- linuxrc can no longer start yast directly, instead
  /sbin/inst_setup is started
- set font & language according to yast.inf
- don't start syslogd (done by inst_setup now)
- mantel: added two new gigabit network drivers (NS83820 and Broadcom BCM5700)
* Mon Aug 13 2001 snwint@suse.de
- mge: added new boot mode 'CDwithNET'
* Thu Aug  9 2001 snwint@suse.de
- no longer crashes after yast returns
- segfault handler prints fault address
* Wed Aug  8 2001 snwint@suse.de
- fixed 'Console' entry in install.inf for ia32 (#9647)
- allow yast2 serial installation on ppc
- start /sbin/inst_setup instead of yast if it exists
* Mon Aug  6 2001 snwint@suse.de
- fixed for alpha
* Mon Aug  6 2001 snwint@suse.de
- drop reboot message on sparc
- translations are now in *.po files
- handle etc/{ssh,pam.d,joerc}
* Tue Jul 31 2001 snwint@suse.de
- removed even more languages from linuxrc_tiny
- mantel: changed text from "bootp" to "bootp/DHCP"
* Mon Jul 23 2001 snwint@suse.de
- adapted for libhd 3.0
* Thu Jul 19 2001 snwint@suse.de
- load isa-pnp.o and add it to INITRD_MODULES if necessary
- fixed to build on s390
- LiveEval: set language even in auto2 mode
- added linuxrc_tiny: smaller linuxrc with some things dropped
  (to be used for bootdisks)
- mantel: don't clobber hwaddress when doing bootp
* Thu Jul 12 2001 snwint@suse.de
- run create_md5sums after patching the spec file
* Mon Jul  9 2001 snwint@suse.de
- automatically determine the release version from the build environment
* Wed Jun 13 2001 snwint@suse.de
- new version scheme
- disabled pivot_root, we just exit() as before
- fixed framebuffer mode detection bug (#8620)
- added function to do a simple 'ps' (for debugging, normally disabled)
- mantel: new parameter for info file: ForceRootimage
- mantel: don't ask silly questions when doing auto install from hard disk
- mantel: load rootimage into ramdisk when loop mount failes on installation via HD
- mantel: added new filesystem type xfs. Centralized list of known filesystems
- workaround for nfs mount problem
- now _really_ remove smp stuff
* Thu Jun  7 2001 kukuk@suse.de
- Fix output of SERIAL_CONSOLE entry
- Set "Textmode" if we install over serial console
* Sat Jun  2 2001 kukuk@suse.de
- Add SunGEM network card
* Fri May 18 2001 snwint@suse.de
- dto
* Wed May 16 2001 snwint@suse.de
- added translations
* Mon May 14 2001 snwint@suse.de
- in2000 no longer auto loaded (#7829)
* Mon May 14 2001 snwint@suse.de
- fixed stupid reiserfs typo
* Mon May 14 2001 snwint@suse.de
- display reboot message (revert part 2 of changes for 1.1.19.006) (bug #7994)
* Sat May 12 2001 snwint@suse.de
- do not load i2o modules if the controller is already supported by
  an alternative driver (#6335)
- /dev/ram* holds uninitialized data, not zero as it used to be
- vfat support is broken in 2.4.4, using shmfs to get our driver
  update feature working
- modules loaded via 'driver update' were not added to INITRD_MODULES
* Tue May  8 2001 snwint@suse.de
- adjusted YaST2 memory limit
* Mon May  7 2001 snwint@suse.de
- removed TXT_INSTALL_SUCCESS message except in (old) auto mode
- removed TXT_DO_REBOOT message (unless explictly requested via info file)
- mmj: autoinstall via hard disk
- keep boot splash
- can now automatically start rescue system
- ask for module disk/load reiserfs module if necessary
- add modules loaded via 'driver update' to INITRD_MODULES
- remove Unicodemap entry from install.inf (#7767)
- no longer remove trailing /suse from installation dir (#6716)
* Mon Apr 30 2001 snwint@suse.de
- mantel: new translations added
- disable boot graphics
* Tue Apr 24 2001 snwint@suse.de
- explicitly set umask to 022
- look for floppy disk and read info file _before_ asking for modules disk
* Tue Apr 24 2001 snwint@suse.de
- mantel: do not autoload aic7xxx_old
- mantel: new translations added
- automatically recognize various floppy drive types (legacy, usb, zip, ls-120)
- 'Floppydisk' entry in /etc/install.inf now holds floppy device name
* Fri Apr  6 2001 snwint@suse.de
- made 'Eject CD' lang dependent
* Fri Mar 23 2001 snwint@suse.de
- debug msg around sync()
- fixed proc & usbdevfs mount() calls
- load root image on axp for >=512MB only
* Tue Mar  6 2001 snwint@suse.de
- don't try to do too much networking without a proper net config
* Thu Mar  1 2001 snwint@suse.de
- mantel: changed german text "Lade PCMCIA Module" to "PCMCIA-Module laden"
* Fri Feb 23 2001 snwint@suse.de
- re-enabled mac color detection
- nice bootp message
- stepan: switched some languages off for Alpha
- _no_ -Os as it produces binaries that are larger after compression
* Wed Feb 21 2001 snwint@suse.de
- changed language name: Norway -> Norsk
- bootp & auto2 now hopefully _really_ work together
- enlarged 'boot installed system' input field
* Wed Feb 21 2001 snwint@suse.de
- starting a Live CD now works again
- kukuk: fix typo for norwegian keyboard, add finish type4 keyboard
- mls: allow automatic bootp requests in auto2 mode
- mls: fix network setup (5 min timeout bug again)
- fixed bootp (hw address got lost)
* Tue Feb 13 2001 schwab@suse.de
- Remember original environment and pass it when launching init.
* Sun Jan 21 2001 olh@suse.de
- add Apple network drivers (mace,bmac,gmac)
* Wed Jan 17 2001 snwint@suse.de
- updated driver update stuff to use /linux/suse/...
- make it report libhd version
* Wed Jan 17 2001 snwint@suse.de
- write keymap info for yast1 even during auto2 mode
* Tue Jan 16 2001 snwint@suse.de
- save PCMCIA module params
- ask for mod disk before "Autoload of modules"
- removed Live CD from start menu
* Tue Jan 16 2001 snwint@suse.de
- added vfat to inst_mount_harddisk()
- load pci-scan.o before starfire.o
- added qla2x00
* Mon Jan 15 2001 snwint@suse.de
- ask for mod disk only once
- make scsi/net module menu working
- load parport mods for imm/ppa
* Mon Jan 15 2001 snwint@suse.de
- adapted memory limits:
  - no YaST2 unless mem >= 32M
  - load root image into ramdisk if mem >= 256M
* Mon Jan 15 2001 snwint@suse.de
- symlink /etc/init.d instead of /etc/rc.d
* Sun Jan 14 2001 snwint@suse.de
- new driver Adaptec Starfire
- improved driver update handling
- automatically request modules disk if necessary
- ask for modules disk only on ia32 systems
* Fri Jan 12 2001 snwint@suse.de
- syslogd moved to /sbin
- driver update finished
- PCMCIA: ask for modules disk, even during autoinstall
* Wed Jan 10 2001 snwint@suse.de
- driver update stuff nearly finished
* Wed Jan 10 2001 snwint@suse.de
- no reboot for PCMCIA
* Tue Jan  9 2001 snwint@suse.de
- mantel: updated copyright message
- mantel: added 8139too.o
- msvec@suse.cz: czech message update
- fixed CD detection with multiple CDROM drives
- fixed 5 min NFS timeout bug
- fixed rootimage loading
* Wed Dec 20 2000 snwint@suse.de
- pivot_root stuff fixed
- no longer generate X11 info entries in install.inf
- started driver update stuff; should work with floppies now
* Tue Dec 12 2000 ro@suse.de
- added hwinfo to neededforbuild
* Mon Dec 11 2000 snwint@suse.de
- disabled andreas' pivot_root changes
* Sun Dec 10 2000 kukuk@suse.de
- Use small libc on SPARC, too
* Sat Dec  9 2000 kukuk@suse.de
- Add type5 keyboard for UK
* Sat Dec  9 2000 snwint@suse.de
- schwab: when lxrc_new_root is set, try pivot_root to change root
- libhd interface changes
* Wed Dec  6 2000 snwint@suse.de
- fixed neededforbuild
* Mon Dec  4 2000 ro@suse.de
- Makefile creates only one linuxrc, comment rest in specfile
* Fri Dec  1 2000 snwint@suse.de
- removed braille detection (done later by hwinfo)
- made font settings work on fb consoles
- finally got font settings right
- cleaned up Makefile: create only one linuxrc now
- there are problems with autoinstall & gateway setup on kernel 2.2.17;
  for now, no "Gateway:" entry should be used in "info"
* Fri Nov 24 2000 snwint@suse.de
- added ChageLog file
- integrated new kbd stuff (kbd-1.03wip)
- started to adapt console fonts to new kbd package
  (some latin2 langs don't work properly yet)
* Thu Nov 23 2000 snwint@suse.de
- use mini glibc again
- added y2autoinst mode
* Wed Nov 22 2000 snwint@suse.de
- new modutils (2.3.20)
- workaround for NFS_* compile problem
- use full glibc on ia32 arch
* Thu Nov  9 2000 ro@suse.de
- make it compile
* Thu Oct 12 2000 snwint@suse.de
- decreased memory limit for YaST1
* Fri Sep 29 2000 sf@suse.de
- changed font and unicode-map for Alpha
* Tue Sep 26 2000 snwint@suse.de
- no braille for ppc
- do a kill 15 before kill 9
* Tue Sep 19 2000 snwint@suse.de
- always use XF3 on ppc to start YaST2
* Mon Sep 18 2000 olh@suse.de
- olh: add Mac-Português, make english the default again (for ppc)
* Fri Sep 15 2000 snwint@suse.de
- do some cleanup in inst_execute_yast() if 'back' in
  inst_choose_yast_version() was selected
* Thu Sep 14 2000 snwint@suse.de
- serial console & ppc: don't use yast2
* Wed Sep 13 2000 snwint@suse.de
- serial console for ppc
* Wed Sep 13 2000 snwint@suse.de
- schwab: fix bootp setup for kernel 2.4
* Mon Sep 11 2000 snwint@suse.de
- added i2o support
- changed scsi cdrom dev names: scd -> sr
- multi info files support
* Fri Aug 18 2000 snwint@suse.de
- updated memory limits in global.h
- schwab: updated ia64 smp code
* Fri Aug 11 2000 snwint@suse.de
- fixed minor keymap loading bug
* Fri Aug  4 2000 kukuk@suse.de
- Add PS/2 keymaps for SPARC AXe board
- Don't load a keymap if don't ask for it and hardware detection
  couldn't find one
* Mon Jul 24 2000 snwint@suse.de
- disable screen saver during install
* Thu Jul 20 2000 snwint@suse.de
- added new Gigabit network driver hamachi.o
* Wed Jul 19 2000 snwint@suse.de
- wait 10s for vaio, 2s for other notebooks [cf. last log]
* Mon Jul 17 2000 snwint@suse.de
- wait 2s after starting cardmgr
* Mon Jul 17 2000 snwint@suse.de
- allow setting of french lang via linuxrc=
* Fri Jul 14 2000 snwint@suse.de
- use XF 3, not 4 if nothing is known about the video board
* Fri Jul 14 2000 snwint@suse.de
- (try to) load basic usb support on Sony Vaio
- add irq_list= parameter to i82365 on Vaio
- the default keymap (for a language) info is now actually used
  (on pc-like architectures, that is)
- remember the selected keymap
- start syslogd
* Thu Jul 13 2000 snwint@suse.de
- fixed x11i cmdline parsing
- changed fallback X server from vga to fbdev
* Fri Jul  7 2000 snwint@suse.de
- olh: ppc keymap updates
* Thu Jul  6 2000 snwint@suse.de
- pcmcia: re-probe hardware after starting cardmgr
* Tue Jul  4 2000 snwint@suse.de
- pcmcia & insmod fix
* Thu Jun 29 2000 mantel@suse.de
- update PCMCIA to version 3.3.17
- allow installation from RAID partitions
* Tue Jun 27 2000 snwint@suse.de
- updated braille code
* Tue Jun 27 2000 snwint@suse.de
- changed braille detection so we don't need a serial module in
  the initrd
* Thu Jun 22 2000 snwint@suse.de
- added braille detection
- added XF86Ext & XF86Raw entries to install.inf: needed for XF4
- (again) load serial module (for braille displays; i386 only)
* Tue Jun 20 2000 ro@suse.de
- fixed version number
* Mon Jun 19 2000 ro@suse.de
-  up to 1.1.11
* Wed Jun  7 2000 snwint@suse.de
- fixed 'loadnet' handling
- added 'loaddisk'
- added 'x11i' to specify the installation X server
- new 'XVersion' entry in install.inf (3 or 4)
* Fri Jun  2 2000 snwint@suse.de
- added 'loadnet' linuxrc parameter (loads all network mods)
* Thu Jun  1 2000 kasal@suse.de
- fixed lang/czech.txt
* Mon May 15 2000 snwint@suse.de
- integrated Thorsten's changes
- added live cd changes
* Thu May  4 2000 kukuk@suse.de
- enable autoprobe on SPARC by default
- fix bigendian and 64 bit problems with size of root image, make
  sure filehandle will be closed
- Show warning about "not found SuSE CD" only on Intel
- Add more SPARC keymaps
- If autoprobe found keymap, don't ask for it again
* Wed May  3 2000 kukuk@suse.de
- Fix linuxrc/insmod for SPARC
* Tue May  2 2000 kukuk@suse.de
- Load openprom module
* Sat Apr 29 2000 kukuk@suse.de
- Include striped down version of nfs_mount.h from kernel 2.2 sources.
  We stay with NFS_MOUNT_VERSION 3, version 4 doesn't work in the
  moment.
* Thu Apr 27 2000 snwint@suse.de
- live cd: lang & kbd menu
- link /etc/fb.mods (mainly ppc)
* Tue Apr 18 2000 snwint@suse.de
- live cd fixes
- new 'Demo:' entry in install.inf
* Mon Apr 17 2000 snwint@suse.de
- minor live cd fixes
* Mon Apr 17 2000 snwint@suse.de
- fixed main menu display condition
- no reboot msg on ppc
- Thorstens sparc patches
* Wed Apr 12 2000 kukuk@suse.de
- Add SPARC module description
* Mon Apr 10 2000 snwint@suse.de
- implemented 'Eject CD'
- ask for CD1 only after a first try failed
- black bg on PowerBooks
* Thu Apr  6 2000 snwint@suse.de
- ppc: made 'auto2' the default
- intel: live cd changes
* Fri Mar 31 2000 snwint@suse.de
- special ppc keytable handling
- made English the default language
* Fri Mar 24 2000 snwint@suse.de
- change bg color on iMacs
* Thu Mar 23 2000 snwint@suse.de
- new insmod version
- loadkeys fixes
- no usb mods on ppc
- more Xkb* entries
* Fri Mar 17 2000 snwint@suse.de
- added xkbmodel entry to install.inf; needed for ppc
* Tue Mar 14 2000 snwint@suse.de
- increased mem limit for image loading to 70MB
* Mon Mar 13 2000 snwint@suse.de
- removed pr_default
* Mon Mar 13 2000 snwint@suse.de
- fixed german lang bug
* Thu Mar  9 2000 snwint@suse.de
- no reboot message on auto install
* Wed Mar  8 2000 snwint@suse.de
- new text for reboot msg
* Mon Mar  6 2000 snwint@suse.de
- the TAB thing again...
* Mon Mar  6 2000 snwint@suse.de
- linuxrc did'nt sometimes unmount the installation medium
* Sun Mar  5 2000 snwint@suse.de
- network mods no longer added to initrd
* Sun Mar  5 2000 snwint@suse.de
- some minor enhancements
* Sat Mar  4 2000 snwint@suse.de
- some bug fixes; see CVS log
* Fri Mar  3 2000 snwint@suse.de
- small fixes
* Thu Mar  2 2000 snwint@suse.de
- automatic pcmcia loading
* Thu Mar  2 2000 snwint@suse.de
- ppc fix: no pcmcia
* Wed Mar  1 2000 snwint@suse.de
- small bug fixes
- usb reworked
- new version
* Sun Feb 27 2000 ro@suse.de
- bump pcmcia-version-no
* Sat Feb 26 2000 snwint@suse.de
- increased memory limit for rootimage
- usb support
* Fri Feb 25 2000 snwint@suse.de
- more varaibles in install.inf
- PATH now contains /lib/YaST2/bin
- increased version number
* Thu Feb 17 2000 snwint@suse.de
- split mouse type entry into xf86 & gpm
* Wed Feb 16 2000 snwint@suse.de
- changed some install.inf entry names
* Tue Feb 15 2000 snwint@suse.de
- removed pcmcia support for sparc completely
* Mon Feb 14 2000 snwint@suse.de
- fixed typo on PowerPC
* Mon Feb 14 2000 snwint@suse.de
- new pcmcia stuff
* Mon Feb 14 2000 snwint@suse.de
- new version
* Sat Feb  5 2000 snwint@suse.de
- now *really* compiles on ppc & sparc
- extended "linuxrc=" syntax
* Wed Feb  2 2000 snwint@suse.de
- works with new gcc's
- compiles on ppc (smp.c fixed)
* Wed Feb  2 2000 ro@suse.de
- no 2.7.2.3 (package deleted)
- added libhd, libhddev to neededforbuild
* Tue Feb  1 2000 snwint@suse.de
- package created
